linux-azure-fde (7.0.0-1006.6) resolute; urgency=medium

  * resolute/linux-azure-fde: 7.0.0-1006.6 -proposed tracker (LP: #2154470)

  [ Ubuntu-azure: 7.0.0-1007.7 ]

  * resolute/linux-azure: 7.0.0-1007.7 -proposed tracker (LP: #2154468)

  [ Ubuntu-azure: 7.0.0-1006.6 ]

  * Fixing issue in Azure packaging lmm dependency 
    and moving out of release

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 28 May 2026 10:23:26 -0500

linux-azure-fde (7.0.0-1005.5) resolute; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] azure-fde: Don't hard-code lmm zfs dependency

  [ Ubuntu-azure: 7.0.0-1005.5 ]

  * Miscellaneous Ubuntu changes
    - [Packaging] azure: Don't hard-code lmm zfs dependency
  [ Ubuntu: 7.0.0-22.22 ]
  * GRO managed-frag use-after-free leading to local privilege escalation
    (LP: #2154172)
    - net: gro: don't merge zcopy skbs
  [ Ubuntu: 7.0.0-20.20 ]
  * apparmor (LP: #2151747)
    - SAUCE: apparmor: pass big_resp to handler
    - SAUCE: apparmor: remove redundant kref_init for listener->count
    - SAUCE: apparmor: fix NULL pointer dereference in unpack_pdb
  * apparmor (LP: #2151747) // CVE-2026-47337
    - SAUCE: apparmor: fix NULL pointer dereference in bind_map_addr
  * apparmor (LP: #2151747) // CVE-2026-47334
    - SAUCE: apparmor: fix sleep prone memory allocation under a spin_lock
  * apparmor (LP: #2151747) // CVE-2026-47333
    - SAUCE: apparmor: fix dfa unpacking size of the notification filter
  * apparmor (LP: #2151747) // CVE-2026-47332
    - SAUCE: apparmor: fix size check against type instead of pointer
  * apparmor: LLVM/clang build failure due to uninitialized variable in
    notify.c (LP: #2148809) // CVE-2026-47330
    - SAUCE: apparmor: initialize variable used in uninitialized context
  * apparmor (LP: #2151747) // CVE-2026-47329
    - SAUCE: apparmor: fix name validation bypass on notification
  * apparmor (LP: #2151747) // CVE-2026-47327 // CVE-2026-47328
    - SAUCE: apparmor: fix glob memory leak after kstrdup
  * apparmor (LP: #2151747) // CVE-2026-47326
    - SAUCE: apparmor: fix inverted NULL check after aa_get_buffer
  [ Ubuntu: 7.0.0-19.19 ]
  * resolute/linux: 7.0.0-19.19 -proposed tracker (LP: #2153786)
  * Packaging resync (LP: #1786013)
    - [Packaging] update annotations scripts
    - [Packaging] debian.master/dkms-versions -- remove dkms-versions
      (main/s2026.05.11)
  * CVE-2026-46300
    - net: skbuff: preserve shared-frag marker during coalescing
    - net: skbuff: propagate shared-frag marker through frag-transfer helpers
  * net/rds: reset op_nents when zerocopy page pin fails (LP: #2153962)
    - net/rds: reset op_nents when zerocopy page pin fails
  * CVE-2026-46333
    - ptrace: slightly saner 'get_dumpable()' logic
  * CVE-2026-43500
    - rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
    - rxrpc: Fix potential UAF after skb_unshare() failure
    - rxrpc: Fix rxrpc_input_call_event() to only unshare DATA packets
    - rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present
  * CVE-2026-43284
    - xfrm: esp: avoid in-place decrypt on shared skb frags
  [ Ubuntu: 7.0.0-15.15 ]
  * resolute/linux: 7.0.0-15.15 -proposed tracker (LP: #2148866)
  * Qualcomm X1E: Speaker overdrive causes hardware protection shutdown
    (LP: #2149808)
    - SAUCE: ASoC: qcom: x1e80100: limit speaker volumes
  * intel-ipu7 / intel-ipu7-isys modules are shipped unsigned in latest
    Resolute kernels, breaking Secure Boot systems  (LP: #2148718)
    - [packaging] add intel-ipu7 to signature inclusion list

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 27 May 2026 15:42:18 -0500

linux-azure-fde (7.0.0-1004.4) resolute; urgency=medium

  * resolute/linux-azure-fde: 7.0.0-1004.4 -proposed tracker (LP: #2148568)

  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] azure-fde: recommends dracut instead of initramfs-tools

  * Miscellaneous Ubuntu changes
    - [Packaging] azure-fde: Updating dependencies and packages from master
    - [Packaging] azure-fde: Add linux-main-modules-zfs to linux-modules
      depends
    - [Packaging] azure-fde: Removing modules-extra

  [ Ubuntu-azure: 7.0.0-1004.4 ]

  * resolute/linux-azure: 7.0.0-1004.4 -proposed tracker (LP: #2148172)
  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools
  * Miscellaneous Ubuntu changes
    - [Packaging] azure: Removing modules-extra
    - [Packaging] azure: Add linux-main-modules-zfs to linux-modules depends
    - [Packaging] azure: Updating dependencies and packages from master
    - [Config] azure: Reducing config to limited annotations
  [ Ubuntu: 7.0.0-14.14 ]
  * resolute/linux: 7.0.0-14.14 -proposed tracker (LP: #2148159)
  * support vflip/hflip for Sony IMX471 camera sensor (LP: #2138841)
    - SAUCE: media: ipu-bridge: add TBE20A0 ACPI id for Sony IMX471
  * AA: disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED (LP: #2147533)
    - [Config] disable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
  * System doesn't response with mt76 call trace (LP: #2137448)
    - wifi: mt76: mt792x: Fix a potential deadlock in high-load situations
  * The second tbt storage plugged on the dock will not be recognized
    (LP: #2139572)
    - SAUCE: thunderbolt: Fix PCIe device enumeration with delayed rescan
  * dma-buf filesystem flags fix (LP: #2139656)
    - SAUCE: dma-buf: set SB_I_NOEXEC and SB_I_NODEV on dmabuf filesystem
  * Bluetooth device (MT7925) not detected on USB bus with linux-oem-6.17
    (LP: #2145164)
    - SAUCE: USB: hub: call ACPI _PRR reset during port power-cycle on
      enumeration failure
  * drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port during
    long HPD pulse (LP: #2143879)
    - SAUCE: drm/i915/lnl+/tc: Fix false disconnect of active DP-alt TC port
      during long HPD pulse
  * i915 WARN_ON call trace during CB/WB on MTL/ARL platforms (LP: #2144537)
    - SAUCE: drm/i915/xelpdp/tc: Convert TCSS power check WARN to a debug
      message
  * Miscellaneous Ubuntu changes
    - [Packaging] Add support for per-flavour depends
    - [Packaging] Don't hard-code lmm zfs dependency
    - [Config] updateconfigs following v7.0 release
  [ Ubuntu: 7.0.0-13.13 ]
  * resolute/linux: 7.0.0-13.13 -proposed tracker (LP: #2147403)
  * ubuntu_kselftests:_net/net:gre_gso.sh failing (LP: #2136820)
    - SAUCE increase socat timeout in gre_gso.sh
  * Canonical Kmod 2025 key rotation (LP: #2147447)
    - [Packaging] ubuntu-compatible-signing -- make Ubuntu-Compatible-Signing
      extensible
    - [Packaging] ubuntu-compatible-signing -- allow consumption of positive
      certs
    - [Packaging] ubuntu-compatible-signing -- report the livepatch:2025 key
    - [Config] prepare for Canonical Kmod key rotation
    - [Packaging] ubuntu-compatible-signing -- report the kmod:2025 key
    - [Packaging] ensure our cert rollups are always fresh
  * On Dell system, the internal OLED display drops to a visibly low FPS after
    suspend/resume (LP: #2144712)
    - drm/i915/psr: Disable Panel Replay on Dell XPS 14 DA14260 as a quirk
    - drm/i915/psr: Fixes for Dell XPS DA14260 quirk
  * Realtek RTL8116AF SFP option module fails to get connected (LP: #2116144)
    - SAUCE: r8169: add quirk for RTL8116af SerDes
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v7.0-rc7 rebase

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 16 Apr 2026 10:11:35 -0500

linux-azure-fde (7.0.0-1003.3) resolute; urgency=medium

  * resolute/linux-azure-fde: 7.0.0-1003.3 -proposed tracker (LP: #2147548)

  * Miscellaneous Ubuntu changes
    - [Packaging] remove stale debian/dkms-versions scripting

  [ Ubuntu-azure: 7.0.0-1003.3 ]

  * resolute/linux-azure: 7.0.0-1003.3 -proposed tracker (LP: #2147474)

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 09 Apr 2026 10:27:54 -0500

linux-azure-fde (7.0.0-1002.2) resolute; urgency=medium

  * resolute/linux-azure-fde: 7.0.0-1002.2 -proposed tracker (LP: #2147071)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.azure-fde/dkms-versions -- update from kernel-
      versions (main/d2026.03.30)

  * Miscellaneous Ubuntu changes
    - [Packaging] Remove DESC and =HUMAN= substitution

  * Miscellaneous upstream changes
    - rtla: Fix build without libbpf header

  [ Ubuntu-azure: 7.0.0-1002.2 ]

  * resolute/linux-azure: 7.0.0-1002.2 -proposed tracker (LP: #2146996)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.azure/dkms-versions -- remove dkms-versions
      (main/d2026.03.17)
  * [Mana][Backport] net: mana: Trigger VF reset/recovery on health check
    failure due to HWC timeout (LP: #2146601)
    - net: mana: Trigger VF reset/recovery on health check failure due to HWC
      timeout
  * [Azure] AMDv4 VMs may get no timer interrupts or suffer from timer
    interrupt storms (LP: #2137674)
    - SAUCE: clocksource: hyper-v: do not use an insanely big TSC in
      hv_read_tsc_page_tsc()
    - SAUCE: clocksource: hyper-v: use the APIC timer if the Hyper-V timer is
      unreliable on some CPUs
  * Miscellaneous Ubuntu changes
    - [Packaging] Remove DESC and =HUMAN= substitution
    - [Packaging] remove stale debian/dkms-versions scripting
    - [Config] updateconfigs after rebase to 7.0.0-12.12
  [ Ubuntu: 7.0.0-12.12 ]
  * resolute/linux: 7.0.0-12.12 -proposed tracker (LP: #2146778)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * linux-generic does not run scripts in /usr/share/kernel/*.d (LP: #2147005)
    - [Packaging] templates: Use consistent indentation
    - [Packaging] templates: Run scripts in /usr/share/kernel/*.d too
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Enable COUNTER=m
    - [Config] riscv64: Use GENDWARFKSYMS like other architectures
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * FFe: add network interface mediation to 26.04 (LP: #2144679)
    - SAUCE: apparmor5.0.0 [57/57]: apparmor: add the ability to use interface
      in network mediation.
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/57]: apparmor: fix fine grained inet mediation
      sock_file_perm
    - SAUCE: apparmor5.0.0 [30/57]: apparmor-next 7.1: aapparmor: use target
      task's context in apparmor_getprocattr()
    - SAUCE: apparmor5.0.0 [31/57]: apparmor-next 7.1: apparmor: return error
      on namespace mismatch in verify_header
    - SAUCE: apparmor5.0.0 [32/57]: apparmor-next 7.1: apparmor: enable
      differential encoding
    - SAUCE: apparmor5.0.0 [33/57]: apparmor-next 7.1: apparmor: propagate
      -ENOMEM correctly in unpack_table
    - SAUCE: apparmor5.0.0 [34/57]: apparmor-next 7.1: apparmor: Replace
      memcpy + NUL termination with kmemdup_nul in do_setattr
    - SAUCE: apparmor5.0.0 [35/57]: apparmor-next 7.1: apparmor: Remove
      redundant if check in sk_peer_get_label
    - SAUCE: apparmor5.0.0 [36/57]: apparmor-next 7.1: apparmor: use
      __label_make_stale in __aa_proxy_redirect
    - SAUCE: apparmor5.0.0 [37/57]: apparmor-next 7.1: apparmor: fix net.h and
      policy.h circular include pattern
    - SAUCE: apparmor5.0.0 [39/57]: apparmor-next 7.1: apparmor: make include
      headers self-contained
    - SAUCE: apparmor5.0.0 [40/57]: apparmor-next 7.1: apparmor: Use
      sysfs_emit in param_get_{audit,mode}
    - SAUCE: apparmor5.0.0 [41/57]: apparmor-next 7.1: apparmor: fix
      rawdata_f_data implicit flex array
    - SAUCE: apparmor5.0.0 [42/57]: apparmor-next 7.1: apparmor: free rawdata
      as soon as possible
    - SAUCE: apparmor5.0.0 [43/57]: apparmor-next 7.1: apparmor: Initial
      support for compressed policies
    - SAUCE: apparmor5.0.0 [44/57]: apparmor-next 7.1: apparmor: fix potential
      UAF in aa_replace_profiles
    - SAUCE: apparmor5.0.0 [45/57]: apparmor-next 7.1: apparmor: hide unused
      get_loaddata_common_ref() function
    - SAUCE: apparmor5.0.0 [46/57]: apparmor-next 7.1: apparmor: Fix string
      overrun due to missing termination
    - SAUCE: apparmor5.0.0 [47/57]: apparmor: fix packed tag on v5 header
      struct
    - SAUCE: apparmor5.0.0 [48/57]: apparmor: add temporal caching to audit
      responses.
    - SAUCE: apparmor5.0.0 [49/57]: apparmor: change fn_label_build() call to
      not return NULL
    - SAUCE: apparmor5.0.0 [50/57]: apparmor: make fn_label_build() capable of
      handling not supported
    - SAUCE: apparmor5.0.0 [51/57]: apparmor: move netfilter functions next to
      the LSM network operations
    - SAUCE: apparmor5.0.0 [52/57]: apparmor: move sock_rvc_skb() next to
      inet_conn_request
    - SAUCE: apparmor5.0.0 [53/57]: apparmor: fix af_unix local addr mediation
      binding
    - SAUCE: apparmor5.0.0 [54/57]: cleanups of apparmor af_unix mediation
    - SAUCE: apparmor5.0.0 [55/57]: apparmor: fix apparmor_secmark_check()
      when !inet and secmark defined.
    - SAUCE: apparmor5.0.0 [56/57]: apparmor: fix auditing of non-mediation
      falures
  * snap service cannot change apparmor hat (LP: #2139664) // Jellyfin Desktop
    Flatpak doesn't work with the current AppArmor profile (LP: #2142956)
    - SAUCE: apparmor5.0.0 [38/57]: apparmor-next 7.1: apparmor: grab ns lock
      and refresh when looking up changehat child profiles
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/57]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/57]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/57]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/57]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/57]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/57]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/57]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/57]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/57]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/57]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/57]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/57]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/57]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/57]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/57]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/57]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/57]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/57]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/57]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/57]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/57]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/57]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/57]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/57]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/57]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/57]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/57]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/57]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * Enable new Intel WCL soundwire support (LP: #2143301)
    - ASoC: sdw_utils: Add CS42L43B codec info
    - ASoC: dt-bindings: cirrus, cs42l43: Add CS42L43B variant
    - mfd: cs42l43: Add support for the B variant
    - ASoC: cs42l43: Add support for the B variant
  * Enable audio functions on Dell Huracan/Renegade platforms w/o built-in
    microphone (LP: #2143902)
    - ASoC: SDCA: Add default value for mipi-sdca-function-reset-max-delay
    - ASoC: SDCA: Update counting of SU/GE DAPM routes
    - ASoC: SDCA: Improve mapping of Q7.8 SDCA volumes
    - ASoC: SDCA: Pull the Q7.8 volume helpers out of soc-ops
    - ASoC: add snd_soc_lookup_component_by_name helper
    - ASoC: soc_sdw_utils: partial match the codec name
    - ASoC: soc_sdw_utils: remove index from sdca codec name
  * [SRU] MIPI camera is not working after upgrading to 6.17-oem
    (LP: #2145171)
    - SAUCE: ACPI: respect items already in honor_dep before skipping
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Actually enable llvm for perf
  * Pull patch in qla2xxx to Resolute  (LP: #2144856)
    - scsi: qla2xxx: Add support to report MPI FW state
  * Ubuntu Resolute Desktop image arm64 - Boot on SC8280XP stalls with gpi-dma
    errors (LP: #2142403)
    - Revert "arm64: dts: qcom: sc8280xp: Enable GPI DMA"
  * 26.04 Snapdragon X Elite: Sync concept kernel changes  (LP: #2144643)
    - SAUCE: arm64: dts: add missing denali-oled.dtb to Makefile
    - SAUCE: dt-bindings: phy: qcom: Add CSI2 C-PHY/DPHY schema
    - SAUCE: phy: qcom-mipi-csi2: Add a CSI2 MIPI DPHY driver
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add simple-mfd
      compatible
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add optional PHY handle
      definitions
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Add support for combo-
      mode endpoints
    - SAUCE: dt-bindings: media: qcom,x1e80100-camss: Describe iommu entries
    - SAUCE: media: qcom: camss: Add legacy_phy flag to SoC definition
      structures
    - SAUCE: media: qcom: camss: Add support for PHY API devices
    - SAUCE: media: qcom: camss: Drop legacy PHY descriptions from x1e
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMCC block definition
    - SAUCE: arm64: dts: qcom: x1e80100: Add CCI definitions
    - SAUCE: arm64: dts: qcom: x1e80100: Add CAMSS block definition
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add pm8010 CRD pmic,id=m
      regulators
    - SAUCE: arm64: dts: qcom: x1e80100-crd: Add ov08x40 RGB sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add pm8010 camera PMIC with
      voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-t14s: Add on ov02c10 RGB sensor on
      CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add pm8010 camera
      PMIC with voltage levels for IR and RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add l7b_2p8
      voltage regulator for RGB camera
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: Add ov02c10 RGB
      sensor on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-inspiron14-7441: Switch on CAMSS
      RGB sensor
    - SAUCE: arm64: dts: qcom: x1-asus-zenbook-a14: Add on OV02C10 RGB sensor
      on CSIPHY4
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: add camera support
    - SAUCE: arm64: dts: qcom: x1e78100-t14s: enable camera privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-lenovo-yoga-slim7x: enable camera
      privacy indicator
    - SAUCE: arm64: dts: qcom: x1e80100-dell-xps13-9345: enable camera privacy
      indicator
    - SAUCE: dt-bindings: arm: qcom: Add ASUS Vivobook X1P42100 variant
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: create a common dtsi for Hamoa
      and Purwa variants
    - SAUCE: arm64: dts: qcom: x1-vivobook-s15: add Purwa-compatible device
      tree
    - SAUCE: firmware: qcom: scm: allow QSEECOM on ASUS Vivobook X1P42100
      variant
    - SAUCE: arm64: dts: qcom: hamoa: Move PCIe PERST and Wake GPIOs to port
      nodes
    - SAUCE: arm64: dts: qcom: x1e-acer-swift-14: Move PCIe PERST and Wake
      GPIOs to port nodes
  * 25.10 Snapdragon X Elite: Sync concept kernel changes (LP: #2121477)
    - SAUCE: wip: arm64: dts: qcom: x1e78100-t14s: enable bluetooth
  * Miscellaneous Ubuntu changes
    - SAUCE: dt-bindings: arm: qcom: Document HP EliteBook 6 G1q
    - SAUCE: firmware: qcom: scm: Allow QSEECOM for HP EliteBook 6 G1q
    - SAUCE: arm64: dts: qcom: x1p42100-hp-elitebook-6-g1q: DT for HP
      EliteBook 6 G1q
    - [Config] PHY_QCOM_MIPI_CSI2=m
    - SAUCE: arm64: dts: x1e80100-lenovo-yoga-slim7x: Fix RGB camera supplies
    - [Config] toolchain version update
    - Update Changes.md after v7.0-rc5 rebase
    - [Packaging] update Ubuntu.md
    - [Config] enable SECURITY_APPARMOR_PACKET_MEDIATION_ENABLED
    - [Packaging] Add linux-main-modules-zfs to linux-modules depends
  * Miscellaneous upstream changes
    - Revert "UBUNTU: SAUCE: Add Bluetooth support for the Lenovo Yoga Slim
      7x"

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 02 Apr 2026 11:26:41 -0500

linux-azure-fde (7.0.0-1001.1) resolute; urgency=medium

  * resolute/linux-azure-fde: 7.0.0-1001.1 -proposed tracker (LP: #2146475)

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - [Packaging] azure-fde: Moving to 7.0
    - [Packaging] wrap-and-sort control.stub.in
    - [Packaging] Sync build-deps with master
    - [Packaging] debian.azure/dkms-versions -- update

  [ Ubuntu-azure: 7.0.0-1001.1 ]

  * resolute/linux-azure: 7.0.0-1001.1 -proposed tracker (LP: #2144789)
  * Miscellaneous Ubuntu changes
    - [Packaging] debian.azure/dkms-versions -- update
    - [Config] updateconfigs after rebase to 7.0.0-10.10
  [ Ubuntu: 7.0.0-10.10 ]
  * resolute/linux: 7.0.0-10.10 -proposed tracker (LP: #2144865)
  * Miscellaneous upstream changes
    - Revert "powerpc: fix KUAP warning in VMX usercopy path"
  [ Ubuntu: 7.0.0-9.9 ]
  * resolute/linux: 7.0.0-9.9 -proposed tracker (LP: #2144735)
  * Please make dracut the default initrd generator (LP: #2142775)
    - [Packaging] recommends dracut instead of initramfs-tools
  * Miscellaneous Ubuntu changes
    - SAUCE: Change RISC-V target to RVA23 (riscv64a23-unknown-linux-gnu)
  [ Ubuntu: 7.0.0-8.8 ]
  * resolute/linux: 7.0.0-8.8 -proposed tracker (LP: #2144652)
  * UBUNTU: SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
    (LP: #2143197)
    - SAUCE: igc: Increase Thunderbolt MAC passthrough delay to 1000ms
  * [usrmerge] evaluate kernel owned packages for DEP17 compliance
    (LP: #2139276)
    - [Packaging] Install modules in /usr/lib/modules
  * Miscellaneous Ubuntu changes
    - [Config] hardening: enable LIST_HARDENED
    - [Config] hardening: disable LDISC_AUTOLOAD
    - [Config] hardening: disable LEGACY_PTYS
    - [Config] updateconfigs following v7.0-rc4 rebase
  [ Ubuntu: 7.0.0-7.7 ]
  * resolute/linux: 7.0.0-7.7 -proposed tracker (LP: #2143974)
  * unconfined profile denies userns_create for chromium based processes
    (LP: #1990064)
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * Jellyfin Desktop Flatpak doesn't work with the current AppArmor profile
    (LP: #2142956)
    - SAUCE: apparmor5.0.0 [29/29]: apparmor: fix fine grained inet mediation
      sock_file_perm
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor5.0.0 [28/29]: apparmor: fix aa_label_sk_perm to check
      for RULE_MEDIATES_NET
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/29]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/29]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/29]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [4/29]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [5/29]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [6/29]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [7/29]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [8/29]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [9/29]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [10/29]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [12/29]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [13/29]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [14/29]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [15/29]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [16/29]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [19/29]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [20/29]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [21/29]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [22/29]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [23/29]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [24/29]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [25/29]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [26/29]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [27/29]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * update apparmor and LSM stacking patch set (LP: #2028253) // Installation
    of AppArmor on a 6.14 kernel produces error message "Illegal number: yes"
    (LP: #2102680)
    - SAUCE: apparmor5.0.0 [17/29]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [18/29]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
  * update apparmor and LSM stacking patch set (LP: #2028253) // [FFe]
    apparmor-4.0.0-alpha2 for unprivileged user namespace restrictions in
    mantic (LP: #2032602)
    - SAUCE: apparmor5.0.0 [11/29]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
  * NPU utilization on amdxdna is missing (LP: #2143243)
    - SAUCE: accel/amdxdna: Add IOCTL to retrieve realtime NPU power estimate
    - SAUCE: accel/amdxdna: Support sensors for column utilization
    - SAUCE: accel/amdxdna: Import AMD_PMF namespace
  * Adopting dark mode by default for OLED panel (LP: #2143203)
    - SAUCE: drm/connector: Add a new 'panel_type' property
    - SAUCE: drm/amd/display: Attach OLED property to eDP panels
  * Support AMD Image Signal Processing (ISP) unit V4.0 (LP: #2110092)
    - SAUCE: media: platform: amd: Introduce amd isp4 capture driver
    - SAUCE: media: platform: amd: low level support for isp4 firmware
    - SAUCE: media: platform: amd: Add isp4 fw and hw interface
    - SAUCE: media: platform: amd: isp4 subdev and firmware loading handling
      added
    - SAUCE: media: platform: amd: isp4 video node and buffers handling added
    - SAUCE: Documentation: add documentation of AMD isp 4 driver
    - SAUCE: media: platform: amd: isp4 debug fs logging and more descriptive
      errors
    - [Config] Enable VIDEO_AMD_ISP4_CAPTURE
  * Miscellaneous Ubuntu changes
    - [Config] temporarily disable OBJTOOL_WERROR
  [ Ubuntu: 7.0.0-6.6 ]
  * resolute/linux: 7.0.0-6.6 -proposed tracker (LP: #2143745)
  * Miscellaneous Ubuntu changes
    - [Packaging] drop unstable suffix
  [ Ubuntu: 7.0.0-5.5 ]
  * resolute/linux-unstable: 7.0.0-5.5 -proposed tracker (LP: #2143700)
  * Resolute real-time patchset: 7.0-rc1-rt1 (LP: #2143181)
    - SAUCE: Reapply "serial: 8250: Switch to nbcon console"
    - SAUCE: Reapply "serial: 8250: Revert "drop lockdep annotation from
      serial8250_clear_IER()""
    - SAUCE: drm/i915: Use preempt_disable/enable_rt() where recommended
    - SAUCE: drm/i915: Don't disable interrupts on PREEMPT_RT during atomic
      updates
    - SAUCE: drm/i915: Disable tracing points on PREEMPT_RT
    - SAUCE: drm/i915/gt: Use spin_lock_irq() instead of local_irq_disable() +
      spin_lock()
    - SAUCE: drm/i915: Drop the irqs_disabled() check
    - SAUCE: drm/i915/guc: Consider also RCU depth in busy loop.
    - SAUCE: drm/i915: Consider RCU read section as atomic.
    - SAUCE: Revert "drm/i915: Depend on !PREEMPT_RT."
    - SAUCE: sysfs: Add /sys/kernel/realtime entry
    - Real-time patchset 7.0-rc1-rt1
  * Miscellaneous Ubuntu changes
    - [Config] rust toolchain version update
  [ Ubuntu-unstable: 7.0.0-4.4 ]
  * resolute/linux-unstable: 7.0.0-4.4 -proposed tracker (LP: #2143123)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] remove stale debian/dkms-versions
    - [Packaging] remove stale debian/dkms-versions scripting
  [ Ubuntu-unstable: 7.0.0-3.3 ]
  * resolute/linux-unstable: 7.0.0-3.3 -proposed tracker (LP: #2143020)
  * Miscellaneous Ubuntu changes
    - [Config] updateconfig after rebase to v7.0-rc2
    - [Config] switch to PREEMPT_LAZY
  [ Ubuntu-unstable: 7.0.0-2.2 ]
  * resolute/linux-unstable: 7.0.0-2.2 -proposed tracker (LP: #2142764)
  [ Ubuntu-unstable: 7.0.0-1.1 ]
  * resolute/linux-unstable: 7.0.0-1.1 -proposed tracker (LP: #2142402)
  * Miscellaneous Ubuntu changes
    - [packaging] rename to linux-unstable
    - [Config] updateconfig after rebase to v7.0-rc1
    - Update Changes.md
    - [Packaging] add libbpf-dev to Build-Depends
    - [Config] disable AMD_ISP4, FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove zfs FTBFS
    - [Packaging] debian.master/dkms-versions -- temporarily remove evdi FTBFS
    - [Config] updateconfig after rebase to v7.0-rc1
    - [Config] update toolchain version

  [ Ubuntu-azure: 6.19.0-1002.2 ]

  * resolute/linux-azure: 6.19.0-1002.2 -proposed tracker (LP: #2143209)
  * Packaging resync (LP: #1786013)
    - [Packaging] azure: Remove dwarfdump from Build-Depends
  * [Mana_IB][RDMA][Backport] RDMA/mana_ib: Take CQ type from the device type
    (LP: #2140368)
    - RDMA/mana_ib: Take CQ type from the device type
  * Miscellaneous Ubuntu changes
    - [Packaging] wrap-and-sort control.stub.in
    - [Packaging] Sync build-deps with master
    - [Config] updateconfig after rebase with parent
  [ Ubuntu: 6.19.0-9.9 ]
  * resolute/linux: 6.19.0-9.9 -proposed tracker (LP: #2143205)
  * efi: Fix swapped arguments to bsearch() in efi_status_to_*() SAUCE patch
    (LP: #2141276)
    - SAUCE efi: Fix swapped arguments to bsearch() in efi_status_to_*()
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - apparmor: fix fine grained inet mediation sock_file_perm
  * Plucky preinstalled server fails to boot on rb3gen2 (LP: #2106681) //
    Questing preinstalled server fails to boot on sa8775p boards
    (LP: #2121347)
    - [Config] move more qcom interconnect/pinctrl/gcc options to builtin
  * Resolute update: v6.19.5 upstream stable release (LP: #2143119)
    - netfilter: nf_tables: add .abort_skip_removal flag for set types
    - Linux 6.19.5
  * Resolute update: v6.19.4 upstream stable release (LP: #2143118)
    - RDMA/siw: Fix potential NULL pointer dereference in header processing
    - RDMA/umad: Reject negative data_len in ib_umad_write
    - auxdisplay: arm-charlcd: fix release_mem_region() size
    - hfsplus: return error when node already exists in hfs_bnode_create
    - rcutorture: Correctly compute probability to invoke ->exp_current()
    - rcu: Fix rcu_read_unlock() deadloop due to softirq
    - audit: move the compat_xxx_class[] extern declarations to audit_arch.h
    - selftests/resctrl: Fix a division by zero error on Hygon
    - i3c: Move device name assignment after i3c_bus_init
    - device_cgroup: remove branch hint after code refactor
    - fs: move initializing f_mode before file_ref_init()
    - fs: add <linux/init_task.h> for 'init_fs'
    - i3c: master: Update hot-join flag only on success
    - erofs: Use %pe format specifier for error pointers
    - erofs: avoid noisy messages for transient -ENOMEM
    - gfs2: Retries missing in gfs2_{rename,exchange}
    - gfs2: Rename gfs2_log_submit_{bio -> write}
    - gfs2: Initialize bio->bi_opf early
    - gfs2: Fix slab-use-after-free in qd_put
    - iomap: fix invalid folio access after folio_end_read()
    - gfs2: Fix use-after-free in iomap inline data write path
    - i3c: dw: Initialize spinlock to avoid upsetting lockdep
    - i3c: dw: Fix memory leak in dw_i3c_master_i2c_xfers()
    - tpm: tpm_i2c_infineon: Fix locality leak on get_burstcount() failure
    - tpm: st33zp24: Fix missing cleanup on get_burstcount() error
    - erofs: handle end of filesystem properly for file-backed mounts
    - btrfs: zoned: don't zone append to conventional zone
    - btrfs: qgroup: return correct error when deleting qgroup relation item
    - btrfs: fix block_group_tree dirty_list corruption
    - btrfs: fix EEXIST abort due to non-consecutive gaps in chunk allocation
    - gfs2: fix memory leaks in gfs2_fill_super error path
    - erofs: fix inline data read failure for ztailpacking pclusters
    - smb: client: fix potential UAF and double free in smb2_open_file()
    - netfs: avoid double increment of retry_count in subreq
    - tools/nolibc: always use 64-bit mode for s390 header checks
    - rnbd-srv: Fix server side setting of bi_size for special IOs
    - docs: find-unused-docs.sh: fixup directory usage
    - ACPI: processor: Update cpuidle driver check in __acpi_processor_start()
    - xen/virtio: Don't use grant-dma-ops when running as Dom0
    - io_uring: use release-acquire ordering for IORING_SETUP_R_DISABLED
    - ACPICA: Fix NULL pointer dereference in acpi_ev_address_space_dispatch()
    - io_uring/eventfd: remove unused ctx->evfd_last_cq_tail member
    - io_uring/sync: validate passed in offset
    - cpuidle: governors: menu: Always check timers with tick stopped
    - thermal: intel: x86_pkg_temp_thermal: Handle invalid temperature
    - md/raid5: fix raid5_run() to return error when log_init() fails
    - md/raid10: fix any_working flag handling in raid10_sync_request
    - md/raid5: fix IO hang with degraded array with llbitmap
    - md/md-llbitmap: fix percpu_ref not resurrected on suspend timeout
    - OPP: Return correct value in dev_pm_opp_get_level
    - cpufreq: scmi: Fix device_node reference leak in scmi_cpu_domain_id()
    - iomap: fix submission side handling of completion side errors
    - thermal/of: Fix reference leak in thermal_of_cm_lookup()
    - ublk: restore auto buf unregister refcount optimization
    - ublk: Validate SQE128 flag before accessing the cmd
    - ublk: use READ_ONCE() to read struct ublksrv_ctrl_cmd
    - Partial revert "x86/xen: fix balloon target initialization for PVH dom0"
    - md/raid1: fix memory leak in raid1_run()
    - md: fix return value of mddev_trylock
    - PM: wakeup: Handle empty list in wakeup_sources_walk_start()
    - arm64/gcs: Fix error handling in arch_set_shadow_stack_status()
    - block: don't use strcpy to copy blockdev name
    - perf: arm_spe: Properly set hw.state on failures
    - cpufreq: intel_pstate: Enable asym capacity only when CPU SMT is not
      possible
    - PM: sleep: wakeirq: harden dev_pm_clear_wake_irq() against races
    - s390/cio: Fix device lifecycle handling in css_alloc_subchannel()
    - io_uring/kbuf: fix memory leak if io_buffer_add_list fails
    - x86/cpu/amd: Correct the microcode table for Zenbleed
    - perf/x86/core: Do not set bit width for unavailable counters
    - crypto: qat - fix parameter order used in ICP_QAT_FW_COMN_FLAGS_BUILD
    - crypto: qat - fix warning on adf_pfvf_pf_proto.c
    - bpf: bpf_scc_visit instance and backedges accumulation for bpf_loop()
    - selftests/bpf: veristat: fix printing order in output_stats()
    - libbpf: Fix OOB read in btf_dump_get_bitfield_value
    - sched: Export hidden tracepoints to modules
    - ARM: VDSO: Patch out __vdso_clock_getres() if unavailable
    - time/sched_clock: Use ACCESS_PRIVATE() to evaluate hrtimer::function
    - bpf: Return proper address for non-zero offsets in insn array
    - sched: Fix build for modules using set_tsk_need_resched()
    - crypto: cavium - fix dma_free_coherent() size
    - crypto: octeontx - fix dma_free_coherent() size
    - crypto: hisilicon/zip - adjust the way to obtain the req in the callback
      function
    - crypto: hisilicon/sec - move backlog management to qp and store sqe in
      qp for callback
    - crypto: hisilicon/hpre: extend tag field to 64 bits for better
      performance
    - crypto: hisilicon/qm - enhance the configuration of req_type in queue
      attributes
    - crypto: hisilicon/qm - centralize the sending locks of each module into
      qm
    - crypto: hisilicon/zip - support fallback for zip
    - crypto: hisilicon - consolidate qp creation and start in
      hisi_qm_alloc_qps_node
    - crypto: hisilicon/hpre - support the hpre algorithm fallback
    - crypto: hisilicon/sec2 - support skcipher/aead fallback for hardware
      queue unavailable
    - crypto: hisilicon/sgl - fix inconsistent map/unmap direction issue
    - bpf: Preserve id of register in sync_linked_regs()
    - clocksource/drivers/timer-sp804: Fix an Oops when read_current_timer is
      called on ARM32 platforms where the SP804 is not registered as the
      sched_clock.
    - bpf: Fix memory access flags in helper prototypes
    - selftests/bpf: Fix resource leak in serial_test_wq on attach failure
    - hrtimer: Fix trace oddity
    - crypto: inside-secure/eip93 - fix kernel panic in driver detach
    - crypto: ccp - Fix a case where SNP_SHUTDOWN is missed
    - crypto: ccp - narrow scope of snp_range_list
    - hwrng: airoha - set rng quality to 900
    - rqspinlock: Fix TAS fallback lock entry creation
    - bpf, sockmap: Fix incorrect copied_seq calculation
    - bpf, sockmap: Fix FIONREAD for sockmap
    - bpf: Fix tcx/netkit detach permissions when prog fd isn't given
    - seqlock: fix scoped_seqlock_read kernel-doc
    - x86/hyperv: Fix smp_ops build failure on UP kernels
    - ftrace,bpf: Remove FTRACE_OPS_FL_JMP ftrace_ops flag
    - bpf: Fix verifier_bug_if to account for BPF_CALL
    - crypto: ccp - Fix a crash due to incorrect cleanup usage of kfree
    - crypto: inside-secure/eip93 - unregister only available algorithm
    - x86/fgraph: Fix return_to_handler regs.rsp value
    - x86/fgraph,bpf: Switch kprobe_multi program stack unwind to hw_regs path
    - selftests/bpf: Fix kprobe multi stacktrace_ips test
    - crypto: hisilicon/trng - support tfms sharing the device
    - crypto: caam - fix netdev memory leak in dpaa2_caam_probe
    - bpf: Fix bpf_xdp_store_bytes proto for read-only arg
    - genirq: Set IRQF_COND_ONESHOT in devm_request_irq().
    - platform/x86: int0002: Remove IRQF_ONESHOT from request_irq()
    - iommu/amd: Use core's primary handler and set IRQF_ONESHOT
    - Bluetooth: btintel_pcie: Use IRQF_ONESHOT and default primary handler
    - scsi: efct: Use IRQF_ONESHOT and default primary handler
    - EDAC/altera: Remove IRQF_ONESHOT
    - usb: typec: fusb302: Remove IRQF_ONESHOT
    - rtc: amlogic-a4: Remove IRQF_ONESHOT
    - mfd: wm8350-core: Use IRQF_ONESHOT
    - media: pci: mg4b: Use IRQF_NO_THREAD
    - sched/deadline: Clear the defer params
    - sched/rt: Skip currently executing CPU in rto_next_cpu()
    - sched: Re-evaluate scheduling when migrating queued tasks out of
      throttled cgroups
    - fs/tests: exec: drop duplicate bprm_stack_limits test vectors
    - irqchip/sifive-plic: Handle number of hardware interrupts correctly
    - bpf: Limit bpf program signature size
    - bpf: Require frozen map for calculating map hash
    - crypto: starfive - Fix memory leak in starfive_aes_aead_do_one_req()
    - hwrng: core - use RCU and work_struct to fix race condition
    - selftests/xsk: properly handle batch ending in the middle of a packet
    - selftests/xsk: fix number of Tx frags in invalid packet
    - pstore/ram: fix buffer overflow in persistent_ram_save_old()
    - arm64: dts: ti: k3-am69-aquila-dev: Fix USB-C Sink PDO
    - arm64: dts: ti: k3-am69-aquila-clover: Fix USB-C Sink PDO
    - soc: qcom: smem: handle ENOMEM error during probe
    - EDAC/i5000: Fix snprintf() size calculation in calculate_dimm_size()
    - EDAC/i5400: Fix snprintf() limit calculation in calculate_dimm_size()
    - firmware: arm_ffa: Correct 32-bit response handling in
      NOTIFICATION_INFO_GET
    - riscv: dts: sophgo: cv180x: fix USB dwc2 FIFO sizes
    - arm64: dts: tqma8mpql-mba8mpxl: Fix HDMI CEC pad control settings
    - arm64: dts: tqma8mpql-mba8mp-ras314: Fix HDMI CEC pad control settings
    - EDAC/amd64: Avoid a -Wformat-security warning
    - clk: qcom: Return correct error code in qcom_cc_probe_by_index()
    - arm64: dts: qcom: sdm630: fix gpu_speed_bin size
    - arm64: dts: qcom: sm8150-hdk,mtp: specify ZAP firmware name
    - arm64: dts: qcom: sm8250-hdk: specify ZAP firmware name
    - arm64: dts: qcom: sdm850-huawei-matebook-e-2019: Remove duplicate
      reserved-memroy nodes
    - arm64: dts: qcom: sdm850-huawei-matebook-e-2019: Correct ipa_fw_mem for
      the driver to load successfully
    - arm64: dts: qcom: sdm845-oneplus: Don't mark ts supply boot-on
    - arm64: dts: qcom: sdm845-oneplus: Don't keep panel regulator always on
    - arm64: dts: qcom: sdm845-oneplus: Mark l14a regulator as boot-on
    - arm64: dts: qcom: x1e80100: Fix USB combo PHYs SS1 and SS2 ref clocks
    - arm64: dts: renesas: r9a09g047e57-smarc: Remove duplicate SW_LCD_EN
    - arm64: dts: qcom: msm8994-octagon: Fix Analog Devices vendor prefix of
      AD7147
    - ARM: dts: allwinner: sun5i-a13-utoo-p66: delete "power-gpios" property
    - powerpc/uaccess: Move barrier_nospec() out of
      allow_read_{from/write}_user()
    - soc: qcom: cmd-db: Use devm_memremap() to fix memory leak in
      cmd_db_dev_probe
    - soc: mediatek: svs: Fix memory leak in svs_enable_debug_write()
    - powerpc/eeh: fix recursive pci_lock_rescan_remove locking in EEH event
      handling
    - arm64: dts: renesas: rzt2h-n2h-evk-common: Use GPIO for SD0 write
      protect
    - arm: dts: lpc32xx: add clocks property to Motor Control PWM device tree
      node
    - arm64: dts: mediatek: mt8183-jacuzzi-pico6: Fix typo in pinmux node
    - arm64: dts: amlogic: s4: assign mmc b clock to 24MHz
    - arm64: dts: amlogic: s4: fix mmc clock assignment
    - arm64: dts: ti: k3-j784s4-main.dtsi: Move c71_3 node to appropriate
      order
    - arm64: dts: ti: k3-j784s4-j742s2-main-common.dtsi: Refactor watchdog
      instances for j784s4
    - soc: qcom: ubwc: add missing include
    - hwspinlock: omap: Handle devm_pm_runtime_enable() errors
    - arm64: dts: amlogic: c3: assign the MMC signal clocks
    - arm64: dts: amlogic: axg: assign the MMC signal clocks
    - arm64: dts: amlogic: gx: assign the MMC signal clocks
    - arm64: dts: amlogic: g12: assign the MMC B and C signal clocks
    - arm64: dts: amlogic: g12: assign the MMC A signal clock
    - arm64: dts: qcom: qrb4210-rb2: Fix UART3 wakeup IRQ storm
    - arm64: dts: qcom: sdm845-db845c: drop CS from SPIO0
    - arm64: dts: qcom: sdm845-db845c: specify power for WiFi CH1
    - arm64: dts: ti: k3-am67a-kontron-sa67-base: Fix CMA node
    - arm64: dts: ti: k3-am67a-kontron-sa67-base: Fix SD card regulator
    - arm64: dts: qcom: x1e: bus is 40-bits (fix 64GB models)
    - arm64: dts: imx95: Use GPU_CGC as core clock for GPU
    - arm64: dts: qcom: talos: Drop opp-shared from QUP OPP table
    - arm64: dts: amlogic: meson-sm1-odroid: Eliminate Odroid HC4 power
      glitches during boot.
    - arm64: dts: qcom: agatti: Add CX_MEM/DBGC GPU regions
    - arm64: dts: qcom: sm6115: Add CX_MEM/DBGC GPU regions
    - reset: canaan: k230: drop OF dependency and enable by default
    - drm/xe/pf: Fix .bulk_profile/sched_priority description
    - drm/panthor: Recover from panthor_gpu_flush_caches() failures
    - drm/panthor: Fix the full_tick check
    - drm/panthor: Fix the group priority rotation logic
    - drm/panthor: Fix immediate ticking on a disabled tick
    - drm/panthor: Fix the logic that decides when to stop ticking
    - drm/panthor: Make sure we resume the tick when new jobs are submitted
    - drm/panthor: Remove redundant call to disable the MCU
    - drm/panthor: fix queue_reset_timeout_locked
    - workqueue: Process rescuer work items one-by-one using a cursor
    - drm/panthor: Fix panthor_gpu_coherency_set()
    - accel/amdxdna: Fix race condition when checking rpm_on
    - accel/amdxdna: Fix cu_idx being cleared by memset() during command setup
    - drm/plane: Fix IS_ERR() vs NULL bug
      drm_plane_create_color_pipeline_property()
    - accel/amdxdna: Fix race where send ring appears full due to delayed head
      update
    - firmware: cs_dsp: Remove __free() from cs_dsp_debugfs_string_read()
    - firmware: cs_dsp: Don't use __free() in cs_dsp_load() and
      cs_dsp_load_coeff()
    - spi: cadence-qspi: Remove redundant pm_runtime_mark_last_busy call
    - accel/amdxdna: Fix potential NULL pointer dereference in context cleanup
    - drm/panel: sw43408: Remove manual invocation of unprepare at remove
    - ALSA: compress_offload: Relax __free() variable declarations
    - ALSA: control: Relax __free() variable declarations
    - ALSA: pcm: Relax __free() variable declarations
    - ALSA: oss: Relax __free() variable declarations
    - ALSA: seq: oss: Relax __free() variable declarations
    - ALSA: seq: Relax __free() variable declarations
    - ALSA: timer: Relax __free() variable declarations
    - ALSA: vmaster: Relax __free() variable declarations
    - ALSA: hda: Relax __free() variable declarations
    - ALSA: usx2y: Relax __free() variable declarations
    - ALSA: usb-audio: Relax __free() variable declarations
    - ASoC: SDCA: Allow sample width wild cards in set_usage()
    - drm/panthor: Fix NULL pointer dereference on panthor_fw_unplug
    - drm/i915/colorop: do not include headers from headers
    - drm/panthor: Evict groups before VM termination
    - drm/display/dp_mst: Add protection against 0 vcpi
    - drm/atomic: convert drm_atomic_get_{old, new}_colorop_state() into
      proper functions
    - ima: Fix stack-out-of-bounds in is_bprm_creds_for_exec()
    - smack: /smack/doi must be > 0
    - smack: /smack/doi: accept previously used values
    - ASoC: nau8821: Fixup nau8821_enable_jack_detect()
    - ASoC: nau8821: Cancel delayed work on component remove
    - ASoC: nau8821: Cancel pending work before suspend
    - media: chips-media: wave5: Fix memory leak on codec_info allocation
      failure
    - drm/amd/display: Don't use kernel-doc comment in
      dc_register_software_state struct
    - drm/amdgpu: Describe @AMD_IP_BLOCK_TYPE_RAS in amd_ip_block_type enum
    - drm/amd: Drop "amdgpu kernel modesetting enabled" message
    - drm/amdkfd: Fix signal_eviction_fence() bool return value
    - drm/amdgpu: Use explicit VCN instance 0 in SR-IOV init
    - drm/amd/display: Remove unused encoder types
    - drm/amd/display: Use local variable for analog_engine initialization
    - drm/amd/display: Pass proper DAC encoder ID to VBIOS
    - drm/amd/display: Update dc_connection_dac_load to
      dc_connection_analog_load
    - drm/amd/display: Don't repeat DAC load detection
    - drm/msm/disp/dpu: add merge3d support for sc7280
    - drm/msm/dpu: Set vsync source irrespective of mdp top support
    - drm/msm/dpu: fix WD timer handling on DPU 8.x
    - drm/msm/dp: Update msm_dp_controller IDs for sa8775p
    - ALSA: hda - fix function names & missing function parameter
    - mei: late_bind: fix struct intel_lb_component_ops kernel-doc
    - spi: microchip-core: use XOR instead of ANDNOT to fix the logic
    - regulator: core: fix locking in regulator_resolve_supply() error path
    - regulator: core: move supply check earlier in set_machine_constraints()
    - regulator: core: don't ignore errors from event forwarding setup
    - HID: playstation: Add missing check for input_ff_create_memless
    - drm/amdgpu/ttm: Pin 4K MMIO_REMAP Singleton BO at Init v2
    - drm/amdgpu: Drop MMIO_REMAP domain bit and keep it Internal
    - gpu: nova-core: check for overflow to DMATRFBASE1
    - drm/msm/disp: set num_planes to 1 for interleaved YUV formats
    - drm/msm/dpu: drop intr_start from DPU 3.x catalog files
    - drm/msm/dpu: fix CMD panels on DPU 1.x - 3.x
    - drm/msm/dsi_phy_14nm: convert from divider_round_rate() to
      divider_determine_rate()
    - accel/amdxdna: Fix notifier_wq flushing warning
    - drm/msm: Fix x2-85 TPL1_DBG_ECO_CNTL1
    - drm/msm: Fix GMEM_BASE for gen8
    - media: ccs: Accommodate C-PHY into the calculation
    - drm/msm/a2xx: fix pixel shader start on A225
    - drm/buddy: release free_trees array on buddy mm teardown
    - drm/hisilicon/hibmc: fix dp probabilistical detect errors after HPD irq
    - drm/hisilicon/hibmc: add dp mode valid check
    - drm/hisilicon/hibmc: fix no showing problem with loading hibmc manually
    - drm/hisilicon/hibmc: Adding reset colorbar cfg in dp init.
    - drm/rockchip: dw_hdmi_qp: Fix RK3576 HPD interrupt handling
    - rust: pwm: Fix potential memory leak on init error
    - drm/amd/pm: Fix unneeded semicolon warning
    - drm/msm/mdss: correct HBB programmed on UBWC 5.x and 6.x devices
    - drm/msm/dpu: offset HBB values written to DPU by -13
    - drm/msm/dpu: program correct register for UBWC config on DPU 8.x+
    - drm/msm/dpu: fix SSPP_UBWC_STATIC_CTRL programming on UBWC 5.x+
    - drm/msm/dp: Avoid division by zero in msm_dp_ctrl_config_msa()
    - platform/chrome: cros_typec_switch: Don't touch struct
      fwnode_handle::dev
    - pwm: tiehrpwm: Enable pwmchip's parent device before setting
      configuration
    - drm/amd/pm: Return -EOPNOTSUPP when can't read power limit
    - media: uvcvideo: Fix allocation for small frame sizes
    - evm: Use ordered xattrs list to calculate HMAC in evm_init_hmac()
    - drm/xe/ptl: Disable DCC on PTL
    - drm/xe: Unregister drm device on probe error
    - mm/slab: fix false lockdep warning in __kfree_rcu_sheaf()
    - ASoC: tegra: Add AHUB writeable_reg for RX holes
    - platform/chrome: cros_ec_lightbar: Fix response size initialization
    - accel/amdxdna: Hold mm structure across iommu_sva_unbind_device()
    - accel/amdxdna: Stop job scheduling across aie2_release_resource()
    - accel/amdxdna: Fix memory leak in amdxdna_ubuf_map
    - drm/i915/display: fix the pixel normalization handling for xe3p_lpd
    - HID: intel-ish-hid: fix NULL-ptr-deref in ishtp_bus_remove_all_clients
    - HID: Intel-thc-hid: Intel-thc: Fix wrong register fields updating
    - accel/amdxdna: Enable temporal sharing only mode
    - accel/amdxdna: Remove hardware context status
    - accel/amdxdna: Fix incorrect error code returned for failed chain
      command
    - ASoC: SDCA: Remove outdated todo comment
    - ASoC: SDCA: Handle volatile controls correctly
    - ASoC: SDCA: Factor out jack handling into new c file
    - ASoC: SDCA: Add ability to connect SDCA jacks to ASoC jacks
    - ASoC: SDCA: Still process most of the jack detect if control is missing
    - accel/amdxdna: Fix incorrect DPM level after suspend/resume
    - accel/amdxdna: Move RPM resume into job run function
    - ASoC: cs4271: Fix resource leak in cs4271_soc_resume()
    - vsnprintf: drop __printf() attributes on binary printing functions
    - ALSA: oss: delete self assignment
    - spi: tools: Add include folder to .gitignore
    - Revert "hwmon: (ibmpex) fix use-after-free in high/low store"
    - hwmon: (pmbus/mpq8785) fix VOUT_MODE mismatch during identification
    - PCI: mediatek: Fix IRQ domain leak when MSI allocation fails
    - wifi: rtw89: correct use sequence of driver_data in skb->info
    - PCI: xilinx: Fix INTx IRQ domain leak in error paths
    - Documentation: PCI: endpoint: Fix ntb/vntb copy & paste errors
    - PCI: Add WQ_PERCPU to alloc_workqueue() users
    - PCI: endpoint: Add missing NULL check for alloc_workqueue()
    - PCI: rzg3s-host: Use pci_generic_config_write() for the root bus
    - PCI/PM: Avoid redundant delays on D3hot->D3cold
    - wifi: cfg80211: Fix use_for flag update on BSS refresh
    - PCI/P2PDMA: Release per-CPU pgmap ref when vm_insert_page() fails
    - PCI/P2PDMA: Fix p2pmem_alloc_mmap() warning condition
    - Documentation: tracing: Add PCI tracepoint documentation
    - PCI: Do not attempt to set ExtTag for VFs
    - PCI: sophgo: Disable L0s and L1 on Sophgo 2044 PCIe Root Ports
    - PCI/portdrv: Fix potential resource leak
    - dm: fix unlocked test for dm_suspended_md
    - dm: use READ_ONCE in dm_blk_report_zones
    - PCI/PTM: Fix pcie_ptm_create_debugfs() memory leak
    - PCI/P2PDMA: Reset page reference count when page mapping fails
    - wifi: ath9k: debug.h: fix kernel-doc bad lines and struct ath_tx_stats
    - wifi: ath9k: fix kernel-doc warnings in common-debug.h
    - wifi: ath9k: add OF dependency to AHB
    - wifi: ath12k: do WoW offloads only on primary link
    - quota: fix livelock between quotactl and freeze_super
    - PCI/pwrctrl: tc9563: Use put_device() instead of i2c_put_adapter()
    - net: mctp-i2c: fix duplicate reception of old data
    - mctp i2c: initialise event handler read bytes
    - wifi: cfg80211: stop NAN and P2P in cfg80211_leave
    - iommupt: Do not set C-bit on MMIO backed PTEs
    - ext4: fast commit: make s_fc_lock reclaim-safe
    - netfilter: nf_tables: reset table validation state on abort
    - netfilter: nf_conncount: increase the connection clean up limit to 64
    - netfilter: nft_compat: add more restrictions on netlink attributes
    - netfilter: nf_conncount: fix tracking of connections from localhost
    - kallsyms/bpf: rename __bpf_address_lookup() to bpf_address_lookup()
    - module: add helper function for reading module_buildid()
    - kallsyms/ftrace: set module buildid in ftrace_mod_address_lookup()
    - PCI: Mark 3ware-9650SA Root Port Extended Tags as broken
    - wifi: rtw89: debug: Fix memory leak in __print_txpwr_map()
    - iommu/vt-d: Flush cache for PASID table before using it
    - iommu/vt-d: Clear Present bit before tearing down PASID entry
    - iommu/vt-d: Clear Present bit before tearing down context entry
    - iommu/vt-d: Fix race condition during PASID entry replacement
    - dm: use bio_clone_blkg_association
    - xdrgen: Fix struct prefix for typedef types in program wrappers
    - NFS: NFSERR_INVAL is not defined by NFSv2
    - xdrgen: Initialize data pointer for zero-length items
    - xdrgen: Remove inclusion of nlm4.h header
    - nfsd: never defer requests during idmap lookup
    - lib/kstrtox: fix kstrtobool() docstring to mention enabled/disabled
    - lib/Kconfig.debug: fix BOOTPARAM_HUNG_TASK_PANIC comment
    - rust: task: restrict Task::group_leader() to current
    - fat: avoid parent link count underflow in rmdir
    - PCI: Rewrite bridge window head alignment function
    - PCI: Stop over-estimating bridge window size
    - PCI: Remove old_size limit from bridge window sizing
    - tcp: tcp_tx_timestamp() must look at the rtx queue
    - Bluetooth: hci_conn: Fix using conn->le_{tx,rx}_phy as supported PHYs
    - PCI: Check parent for NULL in of_pci_bus_release_domain_nr()
    - wifi: ath10k: sdio: add missing lock protection in
      ath10k_sdio_fw_crashed_dump()
    - wifi: ath11k: add usecase firmware handling based on device compatible
    - wifi: ath12k: Fix index decrement when array_len is zero
    - wifi: ath12k: clear stale link mapping of ahvif->links_map
    - PCI: Initialize RCB from pci_configure_device()
    - PCI/ACPI: Restrict program_hpx_type2() to AER bits
    - Revert "net/smc: Introduce TCP ULP support"
    - selftests/mm: fix usage of FORCE_READ() in cow tests
    - ipc: don't audit capability check in ipc_permissions()
    - ucount: check for CAP_SYS_RESOURCE using ns_capable_noaudit()
    - jfs: avoid -Wtautological-constant-out-of-range-compare warning
    - PCI: s32g: Skip Root Port removal during success
    - tcp: ECT_1_NEGOTIATION and NEEDS_ACCECN identifiers
    - tcp: disable RFC3168 fallback identifier for CC modules
    - tcp: accecn: handle unexpected AccECN negotiation feedback
    - PCI: Add preceding capability position support in PCI_FIND_NEXT_*_CAP
      macros
    - PCI: dwc: Add new APIs to remove standard and extended Capability
    - PCI: dwc: ep: Cache MSI outbound iATU mapping
    - PCI: dwc: Remove duplicate dw_pcie_ep_hide_ext_capability() function
    - PCI: endpoint: Add dynamic_inbound_mapping EPC feature
    - PCI: endpoint: Add BAR subrange mapping support
    - PCI: dwc: Advertise dynamic inbound mapping support
    - PCI: dwc: ep: Support BAR subrange inbound mapping via Address Match
      Mode iATU
    - PCI: dwc: ep: Fix resizable BAR support for multi-PF configurations
    - PCI: dwc: ep: Add per-PF BAR and inbound ATU mapping support
    - of: unittest: fix possible null-pointer dereferences in
      of_unittest_property_copy()
    - mptcp: do not account for OoO in mptcp_rcvbuf_grow()
    - mptcp: fix receive space timestamp initialization
    - octeontx2-af: Fix PF driver crash with kexec kernel booting
    - bonding: only set speed/duplex to unknown, if getting speed failed
    - inet: RAW sockets using IPPROTO_RAW MUST drop incoming ICMP
    - nfc: hci: shdlc: Stop timers and work before freeing context
    - amd-xgbe: do not select NET_SELFTESTS when INET is disabled
    - netfilter: nfnetlink_queue: optimize verdict lookup with hash table
    - netfilter: nfnetlink_queue: do shared-unconfirmed check before
      segmentation
    - netfilter: nft_set_hash: fix get operation on big endian
    - netfilter: nft_counter: fix reset of counters on 32bit archs
    - netfilter: nft_set_rbtree: fix bogus EEXIST with NLM_F_CREATE with null
      interval
    - netfilter: nft_set_rbtree: check for partial overlaps in anonymous sets
    - netfilter: nft_set_rbtree: translate rbtree to array for binary search
    - netfilter: nft_set_rbtree: use binary search array in get command
    - netfilter: nft_set_rbtree: remove seqcount_rwlock_t
    - netfilter: nft_set_rbtree: don't gc elements on insert
    - netfilter: nft_set_rbtree: validate element belonging to interval
    - netfilter: nft_set_rbtree: validate open interval overlap
    - PCI: rzg3s-host: Fix device node reference leak in
      rzg3s_pcie_host_parse_port()
    - PCI: Add ACS quirk for Pericom PI7C9X2G404 switches [12d8:b404]
    - rust: driver-core: use "kernel vertical" style for imports
    - rust: devres: fix race condition due to nesting
    - dpll: zl3073x: Fix output pin phase adjustment sign
    - net: hns3: fix double free issue for tx spare buffer
    - procfs: fix missing RCU protection when reading real_parent in
      do_task_stat()
    - smb: client: correct value for smbd_max_fragmented_recv_size
    - net: atm: fix crash due to unvalidated vcc pointer in sigd_send()
    - net: sunhme: Fix sbus regression
    - xfrm: fix ip_rt_bug race in icmp_route_lookup reverse path
    - serial: caif: fix use-after-free in caif_serial ldisc_close()
    - octeon_ep: disable per ring interrupts
    - octeon_ep: ensure dbell BADDR updation
    - octeon_ep_vf: ensure dbell BADDR updation
    - ionic: Rate limit unknown xcvr type messages
    - net: renesas: rswitch: fix forwarding offload statemachine
    - octeontx2-pf: Unregister devlink on probe failure
    - af_unix: Fix memleak of newsk in unix_stream_connect().
    - RDMA/rtrs: server: remove dead code
    - IB/cache: update gid cache on client reregister event
    - RDMA/hns: Fix WQ_MEM_RECLAIM warning
    - RDMA/hns: Return actual error code instead of fixed EINVAL
    - RDMA/hns: Fix RoCEv1 failure due to DSCP
    - RDMA/hns: Notify ULP of remaining soft-WCs during reset
    - RDMA/mlx5: Fix ucaps init error flow
    - cxl/mem: Fix devm_cxl_memdev_edac_release() confusion
    - power: supply: ab8500: Fix use-after-free in power_supply_changed()
    - power: supply: act8945a: Fix use-after-free in power_supply_changed()
    - power: supply: bq256xx: Fix use-after-free in power_supply_changed()
    - power: supply: bq25980: Fix use-after-free in power_supply_changed()
    - power: supply: cpcap-battery: Fix use-after-free in
      power_supply_changed()
    - power: supply: goldfish: Fix use-after-free in power_supply_changed()
    - power: supply: pf1550: Fix use-after-free in power_supply_changed()
    - power: supply: pm8916_bms_vm: Fix use-after-free in
      power_supply_changed()
    - power: supply: pm8916_lbc: Fix use-after-free in power_supply_changed()
    - power: supply: rt9455: Fix use-after-free in power_supply_changed()
    - power: supply: sbs-battery: Fix use-after-free in power_supply_changed()
    - power: reset: nvmem-reboot-mode: respect cell size for nvmem_cell_write
    - power: supply: bq27xxx: fix wrong errno when bus ops are unsupported
    - power: supply: wm97xx: Fix NULL pointer dereference in
      power_supply_changed()
    - RDMA/rtrs-srv: fix SG mapping
    - RDMA/rxe: Fix double free in rxe_srq_from_init
    - RDMA/iwcm: Fix workqueue list corruption by removing work_list
    - platform/x86: hp-wmi: fix platform profile values for Omen 16-wf1xxx
    - tools/power/x86/intel-speed-select: Fix file descriptor leak in
      isolate_cpus()
    - RDMA/mlx5: Fix UMR hang in LAG error state unload
    - IB/mlx5: Fix port speed query for representors
    - mtd: rawnand: cadence: Fix return type of CDMA send-and-wait helper
    - mtd: intel-dg: Fix accessing regions before setting nregions
    - vfio/pci: Lock upstream bridge for vfio_pci_core_disable()
    - platform/x86/amd/pmf: Prevent TEE errors after hibernate
    - crypto: ccp - Declare PSP dead if PSP_CMD_TEE_RING_INIT fails
    - crypto: ccp - Add an S4 restore flow
    - crypto: ccp - Factor out ring destroy handling to a helper
    - crypto: ccp - Send PSP_CMD_TEE_RING_DESTROY when PSP_CMD_TEE_RING_INIT
      fails
    - mtd: parsers: Fix memory leak in mtd_parser_tplink_safeloader_parse()
    - NFS/localio: Handle short writes by retrying
    - NFS/localio: prevent direct reclaim recursion into NFS via
      nfs_writepages
    - NFS/localio: use GFP_NOIO and non-memreclaim workqueue in
      nfs_local_commit
    - NFS/localio: remove -EAGAIN handling in nfs_local_doio()
    - cxl/hdm: Fix newline character in dev_err() messages
    - cxl/core: Fix cxl_dport debugfs EINJ entries
    - RDMA/rxe: Fix iova-to-va conversion for MR page sizes != PAGE_SIZE
    - ata: libata: Add ATA_QUIRK_MAX_SEC and convert all device quirks
    - ata: libata-core: Quirk INTEL SSDSC2KG480G8 max_sectors
    - RDMA/uverbs: Validate wqe_size before using it in ib_uverbs_post_send
    - RDMA/mlx5: Fix memory leak in GET_DATA_DIRECT_SYSFS_PATH handler
    - RDMA/rxe: Fix race condition in QP timer handlers
    - RDMA/core: add rdma_rw_max_sge() helper for SQ sizing
    - cxl: Fix premature commit_end increment on decoder commit failure
    - mtd: parsers: ofpart: fix OF node refcount leak in
      parse_fixed_partitions()
    - mtd: spinand: Fix kernel doc
    - hisi_acc_vfio_pci: fix VF reset timeout issue
    - power: supply: pm8916_lbc: Fix use-after-free for extcon in IRQ handler
    - power: supply: qcom_battmgr: Recognize "LiP" as lithium-polymer
    - RDMA/uverbs: Add __GFP_NOWARN to ib_uverbs_unmarshall_recv() kmalloc
    - pNFS: fix a missing wake up while waiting on NFS_LAYOUT_DRAIN
    - scsi: smartpqi: Fix memory leak in pqi_report_phys_luns()
    - scsi: ufs: host: mediatek: Require CONFIG_PM
    - scsi: csiostor: Fix dereference of null pointer rn
    - nvdimm: virtio_pmem: serialize flush requests
    - fs/nfs: Fix readdir slow-start regression
    - tracing: Properly process error handling in event_hist_trigger_parse()
    - tracing: Remove duplicate ENABLE_EVENT_STR and DISABLE_EVENT_STR macros
    - remoteproc: imx_rproc: Use strstarts for "rsc-table" check
    - remoteproc: imx_dsp_rproc: Fix multiple start/stop operations
    - remoteproc: imx_dsp_rproc: Only reset carveout memory at RPROC_OFFLINE
      state
    - Revert "mailbox/pcc: support mailbox management of the shared buffer"
    - fbdev: of_display_timing: Fix device node reference leak in
      of_get_display_timings()
    - fbdev: au1200fb: Fix a memory leak in au1200fb_drv_probe()
    - clk: thead: th1520-ap: Poll for PLL lock and wait for stability
    - clk: spacemit: Respect Kconfig setting when building modules
    - clk: qcom: gcc-sm8550: Use floor ops for SDCC RCGs
    - clk: qcom: gcc-sm8650: Use floor ops for SDCC RCGs
    - clk: qcom: rcg2: compute 2d using duty fraction directly
    - clk: meson: gxbb: Limit the HDMI PLL OD to /4 on GXL/GXM SoCs
    - clk: meson: g12a: Limit the HDMI PLL OD to /4
    - clk: qcom: gcc-sm8450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sm8750: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sm4450: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-sdx75: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-milos: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-x1e80100: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-qdu1000: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-glymur: Update the SDCC RCGs to use shared_floor_ops
    - clk: qcom: gcc-msm8953: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-msm8917: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: qcom: gcc-ipq5018: flag sleep clock as critical
    - clk: qcom: alpha-pll: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: rockchip: Fix error pointer check after
      rockchip_clk_register_gate_link()
    - clk: microchip: core: remove duplicate determine_rate on pic32_sclk_ops
    - Input: adp5589 - remove a leftover header file
    - clk: Move clk_{save,restore}_context() to COMMON_CLK section
    - clk: qcom: regmap-divider: convert from divider_ro_round_rate() to
      divider_ro_determine_rate()
    - clk: qcom: regmap-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: qcom: dispcc-sdm845: Enable parents for pixel clocks
    - clk: qcom: dispcc-sm7150: Fix dispcc_mdss_pclk1_clk_src
    - clk: qcom: gfx3d: add parent to parent request map
    - clk: actions: owl-composite: convert from
      owl_divider_helper_round_rate() to divider_determine_rate()
    - clk: actions: owl-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: bm1880: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: hisilicon: clkdivider-hi6220: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: loongson1: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: milbeaut: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: nuvoton: ma35d1-divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: nxp: lpc32xx: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: sophgo: sg2042-clkgen: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: sprd: div: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: stm32: stm32-core: convert from divider_ro_round_rate() to
      divider_ro_determine_rate()
    - clk: stm32: stm32-core: convert from divider_round_rate_parent() to
      divider_determine_rate()
    - clk: versaclock3: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: x86: cgu: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: zynqmp: divider: convert from divider_round_rate() to
      divider_determine_rate()
    - clk: mediatek: Drop __initconst from gates
    - clk: mediatek: Add mfg_eb as parent to mt8196 mfgpll clocks
    - clk: mediatek: Fix error handling in runtime PM setup
    - clk: zynqmp: divider: Fix zynqmp_clk_divider_determine_rate kerneldoc
    - clk: zynqmp: pll: Fix zynqmp_clk_divider_determine_rate kerneldoc
    - interconnect: mediatek: Don't hijack parent device
    - interconnect: mediatek: Aggregate bandwidth with saturating add
    - dmaengine: mediatek: uart-apdma: Fix above 4G addressing TX/RX
    - dma: dma-axi-dmac: fix SW cyclic transfers
    - dma: dma-axi-dmac: fix HW scatter-gather not looking at the queue
    - phy: rockchip: samsung-hdptx: Pre-compute HDMI PLL config for 461.10125
      MHz output
    - char: misc: Use IS_ERR() for filp_open() return value
    - soundwire: intel_ace2x: add SND_HDA_CORE dependency
    - iio: test: drop dangling symbol in gain-time-scale helpers
    - usb: typec: ucsi: drop an unused Kconfig symbol
    - staging: greybus: lights: avoid NULL deref
    - serial: imx: change SERIAL_IMX_CONSOLE to bool
    - serial: SH_SCI: improve "DMA support" prompt
    - gpib: Fix error code in ibonline()
    - gpib: Fix error code in ni_usb_write_registers()
    - gpib: Fix memory leak in ni_usb_init()
    - stm class: Kconfig: correct symbol name
    - mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms
    - iio: pressure: mprls0025pa: fix spi_transfer struct initialisation
    - iio: pressure: mprls0025pa: fix SPI CS delay violation
    - iio: pressure: mprls0025pa: fix interrupt flag
    - iio: pressure: mprls0025pa: fix scan_type struct
    - iio: pressure: mprls0025pa: fix pressure calculation
    - watchdog: starfive-wdt: Fix PM reference leak in probe error path
    - coresight: etm3x: Fix cpulocked warning on cpuhp
    - backlight: aw99706: Fix build errors caused by wrong gpio header
    - phy: freescale: imx8qm-hsio: fix NULL pointer dereference
    - interconnect: qcom: qcs8300: fix the num_links for nsp icc node
    - coresight: tmc-etr: Fix race condition between sysfs and perf mode
    - Revert "mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms"
    - mfd: arizona: Fix regulator resource leak on
      wm5102_clear_write_sequencer() failure
    - mfd: simple-mfd-i2c: Add Delta TN48M CPLD support
    - mfd: sec: Fix IRQ domain names duplication
    - drivers: iio: mpu3050: use dev_err_probe for regulator request
    - usb: bdc: fix sleep during atomic
    - nvmem: an8855: drop an unused Kconfig symbol
    - mcb: fix incorrect sanity check
    - pinctrl: equilibrium: Fix device node reference leak in pinbank_init()
    - ovl: Fix uninit-value in ovl_fill_real
    - nfsd: do not allow exporting of special kernel filesystems
    - iio: sca3000: Fix a resource leak in sca3000_probe()
    - mips: LOONGSON32: drop a dangling Kconfig symbol
    - pidfs: return -EREMOTE when PIDFD_GET_INFO is called on another ns
    - pinctrl: qcom: sm8250-lpass-lpi: Fix i2s2_data_groups definition
    - pinctrl: meson: amlogic-a4: Fix device node reference leak in bank
      helpers
    - pinctrl: single: fix refcount leak in pcs_add_gpio_func()
    - pinctrl: canaan: k230: Fix NULL pointer dereference when parsing
      devicetree
    - leds: expresswire: Fix chip state breakage
    - leds: qcom-lpg: Check the return value of regmap_bulk_write()
    - backlight: qcom-wled: Support ovp values for PMI8994
    - backlight: qcom-wled: Change PM8950 WLED configurations
    - dmaengine: fsl-edma: don't explicitly disable clocks in .remove()
    - drbd: always set BLK_FEAT_STABLE_WRITES
    - block: allow IOC_PR_READ_* ioctls with BLK_OPEN_READ
    - io_uring: delay sqarray static branch disablement
    - io_uring/cancel: de-unionize file and user_data in struct io_cancel_data
    - fs/ntfs3: Initialize new folios before use
    - fs/ntfs3: fix ntfs_mount_options leak in ntfs_fill_super()
    - fs/ntfs3: rename ni_readpage_cmpr into ni_read_folio_cmpr
    - fs/ntfs3: fix deadlock in ni_read_folio_cmpr
    - fs/ntfs3: prevent infinite loops caused by the next valid being the same
    - fs/ntfs3: Fix slab-out-of-bounds read in DeleteIndexEntryRoot
    - tools/power turbostat: AMD: msr offset 0x611 read failed: Input/output
      error
    - tools/power turbostat: Harden against unexpected values
    - powercap: intel_rapl: Remove incorrect CPU check in PMU context
    - ACPI: CPPC: Fix remaining for_each_possible_cpu() to use online CPUs
    - powercap: intel_rapl_tpmi: Remove FW_BUG from invalid version check
    - kbuild: Add objtool to top-level clean target
    - smb: client: fix regression with mount options parsing
    - selftests/memfd: use IPC semaphore instead of SIGSTOP/SIGCONT
    - objpool: fix the overestimation of object pooling metadata size
    - ACPI: PM: Add unused power resource quirk for THUNDEROBOT ZERO
    - cpuidle: Skip governor when only one idle state is available
    - ovpn: set sk_user_data before overriding callbacks
    - ovpn: fix possible use-after-free in ovpn_net_xmit
    - ovpn: fix VPN TX bytes counting
    - net: mctp: ensure our nlmsg responses are initialised
    - selftests: mlxsw: tc_restrictions: Fix test failure with new iproute2
    - selftests: net: lib: Fix jq parsing error
    - net: stmmac: fix oops when split header is enabled
    - net: sparx5/lan969x: fix DWRR cost max to match hardware register width
    - net: mscc: ocelot: extract ocelot_xmit_timestamp() helper
    - net: mscc: ocelot: split xmit into FDMA and register injection paths
    - net: mscc: ocelot: add missing lock protection in ocelot_port_xmit_inj()
    - selftests: netconsole: Increase port listening timeout
    - ipv6: Fix out-of-bound access in fib6_add_rt2node().
    - net: sparx5/lan969x: fix PTP clock max_adj value
    - fbnic: close fw_log race between users and teardown
    - libbpf: Fix invalid write loop logic in bpf_linker__add_buf()
    - bpf: Fix a potential use-after-free of BTF object
    - bpf: Add a map/btf from a fd array more consistently
    - eth: fbnic: set FBNIC_QUEUE_RDE_CTL0_EN_HDR_SPLIT on RDE_CTL0
    - eth: fbnic: increase FBNIC_HDR_BYTES_MIN from 128 to 256 bytes
    - eth: fbnic: set DMA_HINT_L4 for all flows
    - ovpn: tcp - don't deref NULL sk_socket member after tcp_close()
    - net: usb: catc: enable basic endpoint checking
    - xen-netback: reject zero-queue configuration from guest
    - net/rds: rds_sendmsg should not discard payload_len
    - net: bridge: mcast: always update mdb_n_entries for vlan contexts
    - selftests: forwarding: vxlan_bridge_1d: fix test failure with
      br_netfilter enabled
    - selftests: forwarding: vxlan_bridge_1d_ipv6: fix test failure with
      br_netfilter enabled
    - selftests: forwarding: fix pedit tests failure with br_netfilter enabled
    - netfilter: nft_counter: serialize reset with spinlock
    - netfilter: nft_quota: use atomic64_xchg for reset
    - netfilter: nf_tables: revert commit_mutex usage in reset path
    - netfilter: nf_conntrack_h323: don't pass uninitialised l3num value
    - ipvs: skip ipv6 extension headers for csum checks
    - ipvs: do not keep dest_dst if dev is going down
    - net: remove WARN_ON_ONCE when accessing forward path array
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()
    - ipv6: fix a race in ip6_sock_set_v6only()
    - bpftool: Fix truncated netlink dumps
    - net: psp: select CONFIG_SKB_EXTENSIONS
    - net: do not delay zero-copy skbs in skb_attempt_defer_free()
    - dpll: zl3073x: Fix ref frequency setting
    - ping: annotate data-races in ping_lookup()
    - selftests: tc_actions: don't dump 2MB of 0 to stdout
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path
    - eth: fbnic: Add validation for MTU changes
    - icmp: prevent possible overflow in icmp_global_allow()
    - inet: move icmp_global_{credit,stamp} to a separate cache line
    - ipv6: icmp: remove obsolete code in icmpv6_xrlim_allow()
    - octeontx2-af: Fix default entries mcam entry action
    - eth: fbnic: Advertise supported XDP features.
    - bnge: fix reserving resources from FW
    - bonding: alb: fix UAF in rlb_arp_recv during bond up/down
    - net/mlx5: Fix multiport device check over light SFs
    - net/mlx5e: Fix misidentification of ASO CQE during poll loop
    - net/mlx5: Fix misidentification of write combining CQE during poll loop
    - net/mlx5e: MACsec, add ASO poll loop in macsec_aso_set_arm_event
    - net/mlx5e: Fix deadlocks between devlink and netdev instance locks
    - net/mlx5e: Use unsigned for mlx5e_get_max_num_channels
    - apparmor: fix invalid deref of rawdata when export_binary is unset
    - apparmor: fix aa_label to return state from compount and component match
    - drm/amdgpu: Fix memory leak in amdgpu_acpi_enumerate_xcc()
    - drm/amdgpu: Use kvfree instead of kfree in
      amdgpu_gmc_get_nps_memranges()
    - drm/amdgpu: Fix memory leak in amdgpu_ras_init()
    - drm/amdgpu/sdma5: enable queue resets unconditionally
    - drm/amdgpu/sdma5.2: enable queue resets unconditionally
    - drm/amdgpu/sdma6: enable queue resets unconditionally
    - drm/amdgpu: clean up the amdgpu_cs_parser_bos
    - mshv: fix SRCU protection in irqfd resampler ack handler
    - regulator: mt6363: Fix interrmittent timeout
    - ASoC: fsl_xcvr: Revert fix missing lock in fsl_xcvr_mode_put()
    - drm/i915/acpi: free _DSM package when no connectors
    - ASoC: codecs: aw88261: Fix erroneous bitmask logic in Awinic init
    - PCI: Validate window resource type in pbus_select_window_for_type()
    - drm/amd/display: Fix dc_link NULL handling in HPD init
    - drm/amdgpu: Fix missing unwind in amdgpu_ib_schedule() error path
    - drm/amdkfd: Fix watch_id bounds checking in debug address watch v2
    - drm/amd/display: Reject cursor plane on DCE when scaled differently than
      primary
    - drm/amd/display: Fix out-of-bounds stream encoder index v3
    - spi: wpcm-fiu: Fix potential NULL pointer dereference in
      wpcm_fiu_probe()
    - gpio: cdev: Avoid NULL dereference in linehandle_create()
    - s390/kexec: Make KEXEC_SIG available when CONFIG_MODULES=n
    - drm/xe/pf: Fix sysfs initialization
    - drm/xe/configfs: Fix 'parameter name omitted' errors
    - drm/xe/mmio: Avoid double-adjust in 64-bit reads
    - drm/xe/xe2_hpg: Fix handling of Wa_14019988906 & Wa_14019877138
    - drm/xe/vf: Avoid reading media version when media GT is disabled
    - drm/xe: Make xe_modparam.force_vram_bar_size signed
    - drm/xe/bo: Redirect faults to dummy page for wedged device
    - gpio: amd-fch: ionly return allowed values from amd_fch_gpio_get()
    - efi: Fix reservation of unaccepted memory table
    - btrfs: reset block group size class when it becomes empty
    - btrfs: use the correct type to initialize block reserve for delayed refs
    - btrfs: fix invalid leaf access in btrfs_quota_enable() if ref key not
      found
    - drm/amd/display: Use DCE 6 link encoder for DCE 6 analog connectors
    - drm/amd/display: Only use analog link encoder with analog engine
    - drm/amd/display: Only use analog stream encoder with analog engine
    - x86/hyperv: Fix error pointer dereference
    - ASoC: rockchip: i2s-tdm: Use param rate if not provided by set_sysclk
    - drm/amd/display: Use same max plane scaling limits for all 64 bpp
      formats
    - drm/amd/display: Don't call find_analog_engine() twice
    - drm/amd/display: Turn off DAC in DCE link encoder using VBIOS
    - drm/amd/display: Initialize DAC in DCE link encoder using VBIOS
    - drm/amd/display: Set CRTC source for DAC using registers
    - drm/amd/display: Enable DAC in DCE link encoder
    - PCI: dwc: ep: Always clear IB maps on BAR update
    - usb: cdns3: fix role switching during resume
    - MIPS: Work around LLVM bug when gp is used as global register variable
    - ksmbd: call ksmbd_vfs_kern_path_end_removing() on some error paths
    - ext4: subdivide EXT4_EXT_DATA_VALID1
    - ext4: don't set EXT4_GET_BLOCKS_CONVERT when splitting before submitting
      I/O
    - ext4: don't zero the entire extent if EXT4_EXT_DATA_PARTIAL_VALID1
    - ext4: don't cache extent during splitting extent
    - ext4: drop extent cache after doing PARTIAL_VALID1 zeroout
    - ext4: drop extent cache when splitting extent fails
    - ext4: fix memory leak in ext4_ext_shift_extents()
    - ext4: fix e4b bitmap inconsistency reports
    - ext4: fix dirtyclusters double decrement on fs shutdown
    - ext4: always allocate blocks only from groups inode can use
    - ext4: use optimized mballoc scanning regardless of inode format
    - ata: pata_ftide010: Fix some DMA timings
    - ata: libata-scsi: refactor ata_scsi_translate()
    - ata: libata-scsi: avoid Non-NCQ command starvation
    - SUNRPC: auth_gss: fix memory leaks in XDR decoding error paths
    - SUNRPC: fix gss_auth kref leak in gss_alloc_msg error path
    - dt-bindings: phy: qcom-edp: Add missing clock for X Elite
    - dt-bindings: media: qcom,qcs8300-camss: Add missing power supplies
    - ASoC: dt-bindings: asahi-kasei,ak4458: set unevaluatedProperties:false
    - ASoC: dt-bindings: asahi-kasei,ak4458: Fix the supply names
    - ASoC: dt-bindings: asahi-kasei,ak5558: Fix the supply names
    - ALSA: hda/realtek: Add quirk for Gigabyte G5 KF5 (2023)
    - ALSA: hda/conexant: Fix headphone jack handling on Acer Swift SF314
    - ALSA: hda/realtek: Add quirk for Samsung Galaxy Book3 Pro 360 (NP965QFG)
    - drm/exynos: vidi: use priv->vidi_dev for ctx lookup in
      vidi_connection_ioctl()
    - drm/exynos: vidi: fix to avoid directly dereferencing user pointer
    - Drivers: hv: vmbus: Use kthread for vmbus interrupts on PREEMPT_RT
    - net: stmmac: dwmac-loongson: Set clk_csr_i to 100-150MHz
    - ata: libata-eh: correctly handle deferred qc timeouts
    - ata: libata-core: fix cancellation of a port deferred qc work
    - Linux 6.19.4
  * Resolute update: v6.19.3 upstream stable release (LP: #2143117)
    - scsi: qla2xxx: Fix bsg_done() causing double free
    - arm64: dts: mediatek: mt8183: Add missing endpoint IDs to display graph
    - LoongArch: Rework KASAN initialization for PTW-enabled systems
    - fbdev: rivafb: fix divide error in nv3_arb()
    - fbdev: smscufx: properly copy ioctl memory to kernelspace
    - f2fs: fix to add gc count stat in f2fs_gc_range
    - f2fs: fix to check sysfs filename w/ gc_pin_file_thresh correctly
    - f2fs: fix IS_CHECKPOINTED flag inconsistency issue caused by concurrent
      atomic commit and checkpoint writes
    - f2fs: fix out-of-bounds access in sysfs attribute read/write
    - f2fs: fix to avoid UAF in f2fs_write_end_io()
    - f2fs: support non-4KB block size without packed_ssa feature
    - f2fs: fix to avoid mapping wrong physical block for swapfile
    - f2fs: optimize f2fs_overwrite_io() for f2fs_iomap_begin
    - iommu/arm-smmu-qcom: do not register driver in probe()
    - Revert "f2fs: block cache/dio write during f2fs_enable_checkpoint()"
    - USB: serial: option: add Telit FN920C04 RNDIS compositions
    - f2fs: fix to do sanity check on node footer in __write_node_folio()
    - f2fs: fix to do sanity check on node footer in {read,write}_end_io
    - f2fs: fix incomplete block usage in compact SSA summaries
    - Linux 6.19.3
  * linux-tools: consider linking perf against LLVM (LP: #2138328)
    - [Packaging] Add llvm-21-dev to build-depends for perf
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after v6.19.5 update.
    - [Packaging] Add intel-speed-select to linux-tools
    - [Packaging] wrap-and-sort control.stub.in
    - [Config] Updateconfig for toolchain update
  [ Ubuntu: 6.19.0-6.6 ]
  * resolute/linux: 6.19.0-6.6 -proposed tracker (LP: #2142114)
  * Resolute update: v6.19.2 upstream stable release (LP: #2142112)
    - Revert "driver core: enforce device_lock for driver_match_device()"
    - Linux 6.19.2
  * Resolute update: v6.19.1 upstream stable release (LP: #2142111)
    - io_uring/io-wq: add exit-on-idle state
    - io_uring: allow io-wq workers to exit when unused
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths
    - ksmbd: add chann_lock to protect ksmbd_chann_list xarray
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
    - smb: smbdirect: introduce smbdirect_socket.recv_io.credits.available
    - smb: smbdirect: introduce smbdirect_socket.send_io.bcredits.*
    - smb: server: make use of smbdirect_socket.recv_io.credits.available
    - smb: server: let recv_done() queue a refill when the peer is low on
      credits
    - smb: server: make use of smbdirect_socket.send_io.bcredits
    - smb: server: fix last send credit problem causing disconnects
    - smb: server: let send_done handle a completion without IB_SEND_SIGNALED
    - smb: client: make use of smbdirect_socket.recv_io.credits.available
    - smb: client: let recv_done() queue a refill when the peer is low on
      credits
    - smb: client: let smbd_post_send() make use of request->wr
    - smb: client: remove pointless sc->recv_io.credits.count rollback
    - smb: client: remove pointless sc->send_io.pending handling in
      smbd_post_send_iter()
    - smb: client: port and use the wait_for_credits logic used by server
    - smb: client: split out smbd_ib_post_send()
    - smb: client: introduce and use smbd_{alloc, free}_send_io()
    - smb: client: use smbdirect_send_batch processing
    - smb: client: make use of smbdirect_socket.send_io.bcredits
    - smb: client: fix last send credit problem causing disconnects
    - smb: client: let smbd_post_send_negotiate_req() use smbd_post_send()
    - smb: client: let send_done handle a completion without IB_SEND_SIGNALED
    - driver core: enforce device_lock for driver_match_device()
    - Bluetooth: btusb: Add USB ID 7392:e611 for Edimax EW-7611UXB
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - crypto: iaa - Fix out-of-bounds index in find_empty_iaa_compression_mode
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
    - crypto: virtio - Add spinlock protection with virtqueue notification
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
    - hfs: ensure sb->s_fs_info is always cleaned up
    - wifi: rtw88: Fix alignment fault in rtw_core_enable_beacon()
    - scsi: qla2xxx: Validate sp before freeing associated memory
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
    - scsi: qla2xxx: Free sp in error path to fix system crash
    - scsi: qla2xxx: Query FW again before proceeding with login
    - sched/mmcid: Don't assume CID is CPU owned on mode switch
    - bus: fsl-mc: fix use-after-free in driver_override_show()
    - erofs: fix UAF issue for file-backed mounts w/ directio option
    - xfs: fix UAF in xchk_btree_check_block_owner
    - drm/exynos: vidi: use ctx->lock to protect struct vidi_context member
      variables related to memory alloc/free
    - PCI: endpoint: Avoid creating sub-groups asynchronously
    - wifi: rtl8xxxu: fix slab-out-of-bounds in rtl8xxxu_sta_add
    - Linux 6.19.1
  * AppArmor blocks write(2) to network sockets with Linux 6.19 (LP: #2141298)
    - SAUCE: apparmor: fix aa_label_sk_perm to check for RULE_MEDIATES_NET
  [ Ubuntu: 6.19.0-5.5 ]
  * resolute/linux: 6.19.0-5.5 -proposed tracker (LP: #2141736)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2026.02.09)
  * Blacklisted sbsa_gwdt module makes machines reboot (LP: #2138924)
    - [Packaging] fix watchdog blacklist exceptions adding kmod extension
  * Miscellaneous Ubuntu changes
    - [Packaging] debian/scripts/dkms-build--nvidia-N -- fix module.lds option
    - [Packaging] fix a typo in Ubuntu.md
    - [Config] updateconfig after rebase to v6.19-rc8
    - [Packaging] Drop changelog entries older than noble

  [ Ubuntu-azure: 6.19.0-1001.1 ]

  * resolute/linux-azure: 6.19.0-1001.1 -proposed tracker (LP: #2139183)
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update update.conf
    - [Packaging] debian.azure/dkms-versions -- update from kernel-versions
      (main/d2026.01.20)
  * Miscellaneous Ubuntu changes
    - [packaging] move to resolute
    - [Packaging] update Ubuntu.md
    - [Packaging] move to 6.19
    - [Config] updateconfigs after 6.19.0-3.3 rebase
  [ Ubuntu: 6.19.0-3.3 ]
  * resolute/linux: 6.19.0-3.3 -proposed tracker (LP: #2138935)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2026.01.12)
    - [Packaging] update variants
  * [26.04] Please test secureboot and lock-down with 6.18 kernel (s390x) on
    Resolute Raccoon (LP: #2131805)
    - SAUCE: s390/boot/vmlinux.lds.S: Ensure bzImage ends with SecureBoot
      trailer
  * unconfined profile denies userns_create for chromium based processes
    - [Config] disable CONFIG_SECURITY_APPARMOR_RESTRICT_USERNS
  * update apparmor and LSM stacking patch set
    - SAUCE: apparmor5.0.0 [1/53]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [2/53]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [3/53]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [4/53]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [5/53]: apparmor-next 7.0: apparmor: replace
      sprintf with snprintf in aa_new_learning_profile
    - SAUCE: apparmor5.0.0 [6/53]: apparmor-next 7.0: apparmor: Replace
      sprintf/strcpy with scnprintf/strscpy in aa_policy_init
    - SAUCE: apparmor5.0.0 [7/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy in d_namespace_path
    - SAUCE: apparmor5.0.0 [8/53]: apparmor-next 7.0: apparmor: fix NULL
      pointer dereference in __unix_needs_revalidation
    - SAUCE: apparmor5.0.0 [9/53]: apparmor-next 7.0: apparmor: fix NULL sock
      in aa_sock_file_perm
    - SAUCE: apparmor5.0.0 [10/53]: apparmor-next 7.0: apparmor: Replace
      deprecated strcpy with memcpy in gen_symlink_name
    - SAUCE: apparmor5.0.0 [11/53]: apparmor-next 7.0: AppArmor: Allow
      apparmor to handle unaligned dfa tables
    - SAUCE: apparmor5.0.0 [12/53]: apparmor-next 7.0: apparmor: Fix &
      Optimize table creation from possibly unaligned memory
    - SAUCE: apparmor5.0.0 [13/53]: apparmor-next 7.0: apparmor: make str
      table more generic and be able to have multiple entries
    - SAUCE: apparmor5.0.0 [14/53]: apparmor-next 7.0: apparmor: add support
      loading per permission tagging
    - SAUCE: apparmor5.0.0 [15/53]: apparmor-next 7.0: aoparmor: userns: Add
      support for execpath in userns
    - SAUCE: apparmor5.0.0 [16/53]: apparmor-next 7.0: apparmor: fix boolean
      argument in apparmor_mmap_file
    - SAUCE: apparmor5.0.0 [17/53]: apparmor-next 7.0: apparmor: drop
      in_atomic flag in common_mmap, and common_file_perm
    - SAUCE: apparmor5.0.0 [18/53]: apparmor-next 7.0: apparmor: account for
      in_atomic removal in common_file_perm
    - SAUCE: apparmor5.0.0 [19/53]: apparmor-next 7.0: apparmor: return
      -ENOMEM in unpack_perms_table upon alloc failure
    - SAUCE: apparmor5.0.0 [20/53]: apparmor-next 7.0: apparmor: guard against
      free routines being called with a NULL
    - SAUCE: apparmor5.0.0 [21/53]: apparmor-next 7.0: apparmor: move check
      for aa_null file to cover all cases
    - SAUCE: apparmor5.0.0 [22/53]: apparmor-next 7.0: apparmor: fix label and
      profile debug macros
    - SAUCE: apparmor5.0.0 [23/53]: apparmor-next 7.0: apparmor:
      refactor/cleanup cred helper fns.
    - SAUCE: apparmor5.0.0 [24/53]: apparmor-next 7.0: apparmor: fix rlimit
      for posix cpu timers
    - SAUCE: apparmor5.0.0 [25/53]: apparmor-next 7.0: apparmor: fix fast path
      cache check for unix sockets
    - SAUCE: apparmor5.0.0 [26/53]: apparmor-next 7.0: apparmor: remove
      apply_modes_to_perms from label_match
    - SAUCE: apparmor5.0.0 [27/53]: apparmor-next 7.0: apparmor: make
      label_match return a consistent value
    - SAUCE: apparmor5.0.0 [28/53]: apparmor-next 7.0: apparmor: split
      xxx_in_ns into its two separate semantic use cases
    - SAUCE: apparmor5.0.0 [29/53]: apparmor-next 7.0: apparmor: avoid per-cpu
      hold underflow in aa_get_buffer
    - SAUCE: apparmor5.0.0 [30/53]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [31/53]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [32/53]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [33/53]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [34/53]: apparmor: lift compatibility check out of
      profile_af_perm
    - SAUCE: apparmor5.0.0 [35/53]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [36/53]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [37/53]: apparmor: userns - make it so special
      unconfined profiles can mediate user namespaces
    - SAUCE: apparmor5.0.0 [38/53]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [39/53]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [40/53]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [41/53]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [42/53]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [43/53]: apparmor: create an
      AA_SFS_TYPE_BOOLEAN_INTPRINT sysctl variant
    - SAUCE: apparmor5.0.0 [44/53]: apparmor: Use AA_SFS_FILE_BOOLEAN_INTPRINT
      for userns and io_uring sysctls
    - SAUCE: apparmor5.0.0 [45/53]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [46/53]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [47/53]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [48/53]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [49/53]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [50/53]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [51/53]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [52/53]: apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [53/53]: apparmor: prevent profile->disconnected
      double free in aa_free_profile
  * Blacklisted sbsa_gwdt module makes machines reboot (LP: #2138924)
    - [Packaging] remove sbsa_gwdt from watchdog blacklist
  * Integrate IgH EtherCAT master (LP: #2138621)
    - SAUCE: ubuntu/igh-ecat: Import IgH EtherCAT master
    - SAUCE: igh-ecat: Plug IgH EtherCAT master into Kbuild
    - SAUCE: igh-ecat: Fix build failure with kernel 6.19
    - [Config] Enable IgH EtherCAT master
  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - SAUCE: thunderbolt: log path activation failures without WARN backtraces
  * Boot up hang with ucsi call trace while plug power cord or device on tbt5
    port (LP: #2127764)
    - SAUCE: usb: typec: ucsi: Fix workqueue destruction race during connector
      cleanup
  * Ease the sysfs call trace which comes from ucsi firmware issue
    (LP: #2127960)
    - usb: typec: ucsi: Detect and skip duplicate altmodes from buggy firmware
    - usb: typec: ucsi: Add duplicate detection to nvidia registration path
    - usb: typec: ucsi: yoga_c630: Remove redundant duplicate altmode handling
  * Enable RTL ASPM for more new Dell platforms (LP: #2133144)
    - SAUCE: r8169: Add more Dell platforms to enable ASPM
  * Enable RTL ASPM for new Dell platforms (LP: #2121200)
    - SAUCE: r8169: enable ASPM on all new Dell platforms
  * Miscellaneous Ubuntu changes
    - [Packaging] Bump clang build-dep to match the current default.
    - [Config] updateconfig after rebase to v6.19-rc6
    - [Packaging] update Ubuntu.md
  [ Ubuntu-unstable: 6.19.0-1.1 ]
  * resolute/linux-unstable: 6.19.0-1.1 -proposed tracker (LP: #2138287)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.10.20)
    - [Packaging] update variants
  * Miscellaneous Ubuntu changes
    - SAUCE: (lockdown) efi,lockdown: fix kernel lockdown on Secure Boot
    - [Config] updateconfigs following v6.19-rc4 rebase
    - SAUCE: aaeon: The modules need to import ASUS_WMI now
    - Update Changes.md
    - SAUCE: arm64: dts: qcom: x1-acer-swift-14: Fix includes
    - [Packaging] Drop failing dkms packages
  [ Ubuntu-unstable: 6.19.0-0.0 ]
  * Dummy entry.
  [ Ubuntu-unstable: 6.18.0-6.6 ]
  * resolute/linux-unstable: 6.18.0-6.6 -proposed tracker (LP: #2133502)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.10.20)
  * Miscellaneous Ubuntu changes
    - Update dropped.txt
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - rename dropped.txt to Changes.md
  [ Ubuntu-unstable: 6.18.0-5.5 ]
  * resolute/linux-unstable: 6.18.0-5.5 -proposed tracker (LP: #2131673)
  * Re-enable INTEL_SKL_INT3472 for kernels >= 6.16 for Intel IPU camera
    (LP: #2128792)
    - Revert "UBUNTU: [Config] FTBFS: disable INTEL_SKL_INT3472"
    - Revert "UBUNTU: SAUCE: platform/x86: int3472: Add handshake GPIO
      function"
  * i40e driver is triggering VF resets on every link state change
    (LP: #2130552)
    - i40e: avoid redundant VF link state updates
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.18-rc6 rebase
  [ Ubuntu-unstable: 6.18.0-4.4 ]
  * resolute/linux-unstable: 6.18.0-4.4 -proposed tracker (LP: #2131211)
  * CAP_PERFMON insufficient to get perf data (LP: #2131046)
    - SAUCE: perf/core: Allow CAP_PERFMON for paranoid level 4
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs following v6.18-rc5 rebase
  [ Ubuntu-unstable: 6.18.0-3.3 ]
  * resolute/linux-unstable: 6.18.0-3.3 -proposed tracker (LP: #2129919)
  * [26.04 FEAT] Set Architecture Level (ALS) to z15 (LP: #2126577)
    - [Config] Raise the architectural level set for s390x to z15
  * Miscellaneous Ubuntu changes
    - [Config]: Enable CONFIG_CRYPTO_BENCHMARK
    - [Config] updateconfigs after v6.18-rc3 rebase
  [ Ubuntu-unstable: 6.18.0-2.2 ]
  * resolute/linux-unstable: 6.18.0-2.2 -proposed tracker (LP: #2129552)
  * Miscellaneous Ubuntu changes
    - [Config] update rustc version
  [ Ubuntu-unstable: 6.18.0-1.1 ]
  * resolute/linux-unstable: 6.18.0-1.1 -proposed tracker (LP: #2129038)
  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
  * Miscellaneous Ubuntu changes
    - [Packaging] Rename to linux-unstable and move to 6.18
    - [Config] updateconfigs following v6.18-rc1 rebase
    - [Config] apparmor: remove SECURITY_APPARMOR_RESTRICT_USERNS
    - [Packaging] debian.master/dkms-versions: Drop failing dkms packages
    - [Config] updateconfigs following v6.18-rc2 rebase
    - move to resolute
  * Miscellaneous upstream changes
    - Revert "audit: fix skb leak when audit rate limit is exceeded"
    - Revert "audit: init ab->skb_list earlier in audit_buffer_alloc()"
    - Revert "audit: add record for multiple object contexts"
    - Revert "audit: add record for multiple task security contexts"
    - Revert "lsm: security_lsmblob_to_secctx module selection"
    - audit: fix skb leak when audit rate limit is exceeded
  [ Ubuntu-unstable: 6.18.0-0.0 ]
  * questing/linux: 6.17.0-6.6 -proposed tracker (LP: #2126040)
  * Questing update: v6.17.1 upstream stable release (LP: #2126948)
    - blk-mq: fix blk_mq_tags double free while nr_requests grown
    - gcc-plugins: Remove TODO_verify_il for GCC >= 16
    - scsi: target: target_core_configfs: Add length check to avoid buffer
      overflow
    - ALSA: usb-audio: fix race condition to UAF in snd_usbmidi_free
    - wifi: rtw89: fix use-after-free in rtw89_core_tx_kick_off_and_wait()
    - media: b2c2: Fix use-after-free causing by irq_check_work in
      flexcop_pci_remove
    - media: i2c: tc358743: Fix use-after-free bugs caused by orphan timer in
      probe
    - media: tuner: xc5000: Fix use-after-free in xc5000_release
    - media: rc: fix races with imon_disconnect()
    - media: uvcvideo: Mark invalid entities with id UVC_INVALID_ENTITY_ID
    - mm: swap: check for stable address space before operating on the VMA
    - wifi: ath11k: fix NULL dereference in ath11k_qmi_m3_load()
    - media: iris: Fix memory leak by freeing untracked persist buffer
    - media: stm32-csi: Fix dereference before NULL check
    - ASoC: qcom: audioreach: fix potential null pointer dereference
    - Linux 6.17.1
  * RISC-V kernel config is out of sync with other archs (LP: #1981437)
    - [Config] riscv64: Update EFI_SBAT_FILE
    - [Config] riscv64: Enable EFI_ZBOOT
    - [Config] riscv64: Disable support for non-RVA23 SoCs
    - [Config] riscv64: Disable RISCV_ISA_FALLBACK
    - [Config] riscv64: Sync config with other architectures
  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 26 Mar 2026 12:55:42 -0500

linux-azure-fde (7.0.0-1000.0) resolute; urgency=medium

  * Empty entry 

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 26 Mar 2026 11:39:25 -0500

linux-azure-fde (6.17.0-1008.8) questing; urgency=medium

  * questing/linux-azure-fde: 6.17.0-1008.8 -proposed tracker (LP: #2144273)

  [ Ubuntu-azure: 6.17.0-1011.11 ]

  * questing/linux-azure: 6.17.0-1011.11 -proposed tracker (LP: #2144277)
  [ Ubuntu: 6.17.0-20.20 ]
  * questing/linux: 6.17.0-20.20 -proposed tracker (LP: #2144297)
  * CVE-2026-23074
    - net/sched: Enforce that teql can only be used as root qdisc
  * CVE-2026-23060
    - crypto: authencesn - reject too-short AAD (assoclen<8) to match ESP/ESN
      spec
  * CVE-2026-23111
    - netfilter: nf_tables: fix inverted genmask check in
      nft_map_catchall_activate()

 -- John Cabaj <john.cabaj@canonical.com>  Wed, 25 Mar 2026 10:15:42 -0500

linux-azure-fde (6.17.0-1007.7) questing; urgency=medium

  [ Ubuntu-azure: 6.17.0-1010.10 ]

  [ Ubuntu: 6.17.0-19.19 ]
  * Questing: Failed to query NVIDIA devices (LP: #2143480)
    - [Config] disable NOVA_CORE
  * Miscellaneous upstream changes
    - apparmor: validate DFA start states are in bounds in unpack_pdb
    - apparmor: fix memory leak in verify_header
    - apparmor: replace recursive profile removal with iterative approach
    - apparmor: fix: limit the number of levels of policy namespaces
    - apparmor: fix side-effect bug in match_char() macro usage
    - apparmor: fix missing bounds check on DEFAULT table in verify_dfa()
    - apparmor: Fix double free of ns_name in aa_replace_profiles()
    - apparmor: fix unprivileged local user can do privileged policy
      management
    - apparmor: fix differential encoding verification
    - apparmor: fix race on rawdata dereference
    - apparmor: fix race between freeing data and fs accessing it

 -- Manuel Diewald <manuel.diewald@canonical.com>  Fri, 06 Mar 2026 22:12:33 +0100

linux-azure-fde (6.17.0-1006.6) questing; urgency=medium

  * questing/linux-azure-fde: 6.17.0-1006.6 -proposed tracker (LP: #2141125)

  [ Ubuntu-azure: 6.17.0-1009.9 ]

  * questing/linux-azure: 6.17.0-1009.9 -proposed tracker (LP: #2141129)
  * [Mana Direct][Backport] Patch: net: mana: Support HW link state events
    (LP: #2139695)
    - net: mana: Support HW link state events
  * [storvsc][Backport] Backport storvsc patch for handling MODE_SENSE_10
    (LP: #2139232)
    - scsi: storvsc: Process unsupported MODE_SENSE_10
  [ Ubuntu: 6.17.0-16.16 ]
  * questing/linux: 6.17.0-16.16 -proposed tracker (LP: #2141148)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/2026.02.09)
  * Support Intel Scorpius Peak, Whale Peak WiFi/Bluetooth for Intel Panther
    Lake platforms (LP: #2116169)
    - Bluetooth: btintel_pcie: Add Bluetooth core/platform as comments
    - Bluetooth: btintel_pcie: Add id of Scorpious, Panther Lake-H484
  * Boot up hang with ucsi call trace while plug power cord or device on tbt5
    port (LP: #2127764)
    - SAUCE: usb: typec: ucsi: Fix workqueue destruction race during connector
      cleanup
  * net:rtnetlink.sh in ubuntu_kernel_selftests failed with FAIL: address
    proto IPv4 / IPv6 (LP: #2031531)
    - selftests: rtnetlink: skip tests if tools or feats are missing
  * TBT call trace while connecting TBT4 monitor on TBT5 port (LP: #2137613)
    - drm/i915/psr: Do not unnecessarily remove underrun on idle PSR WA
  * No output on external monitor when connecting to dell dock (LP: #2131066)
    - drm/i915/dsc: Add helper to enable the DSC configuration for a CRTC
    - drm/i915/dp: Ensure the FEC state stays disabled for UHBR links
    - drm/i915/dp: Export helper to determine if FEC on non-UHBR links is
      required
    - drm/i915/dp_mst: Reuse the DP-SST helper function to compute FEC config
    - drm/i915/dp_mst: Track DSC enabled status on the MST link
    - drm/i915/dp_mst: Recompute all MST link CRTCs if DSC gets enabled on the
      link
    - drm/i915/psr: Underrun on idle PSR wa only when pkgc latency > delayed
      vblank
    - drm/i915/display: Remove unused declarations of intel_io_*
    - drm/i915/dp: Fix panel replay when DSC is enabled
  * [questing] kernel BUG at lib/string_helpers.c:1043! (LP: #2129580)
    - erspan: Initialize options_len before referencing options.
  * Hotplug dock with monitor leads to call trace (LP: #2130998)
    - drm/i915/psr: Check pause counter before continuing to PSR activation
    - drm/i915/psr: Check PSR pause counter in __psr_wait_for_idle_locked
  * [SRU] Fix the error during suspend on cs42l43 (LP: #2138423)
    - mfd: cs42l43: Remove IRQ masking in suspend
    - ASoC: cs42l43: Rename system suspend callback and fix debug print
    - ASoC: cs42l43: Store IRQ domain in codec private data
    - ASoC: cs42l43: Disable IRQs in system suspend
    - ASoC: cs42l43: Shutdown jack detection on suspend
  * noble/plucky: ubuntu_kselftests_ftrace fails 7 ftrace:test.d tests for
    riscv64 on openstack:riscv64.vm (LP: #2124276)
    - riscv: Enable ARCH_HAVE_NMI_SAFE_CMPXCHG
    - [Config] Enable ARCH_HAVE_NMI_SAFE_CMPXCHG for riscv64
  * Got call trace when plug in device/AC in type-c port(both TBT5/TBT4)
    (LP: #2138192)
    - usb: typec: ucsi: Add support for READ_POWER_LEVEL command
    - usb: typec: ucsi: Add check for UCSI version
  * Export CWSR size to userspace (LP: #2134491)
    - drm/amdkfd: bump minimum vgpr size for gfx1151
    - drm/amdkfd: Export the cwsr_size and ctl_stack_size to userspace
  * [SRU] add pmc c6 support of Arrow Lake (LP: #2137615)
    - platform/x86:intel/pmc: Update Arrow Lake telemetry GUID
    - platform/x86:intel/pmc: Add support for multiple DMU GUIDs
    - platform/x86:intel/pmc: Add DMU GUID to Arrow Lake U/H
  * net:tap in ubuntu_kselftests_net fails on Noble (buffer overflow detected)
    (LP: #2067642)
    - SAUCE: selftests: net: fix "buffer overflow detected" for tap.c
  * MT7925 wifi is hard blocked on HP's machine (LP: #2127044)
    - SAUCE: wifi: mt76: mt7925: add DMI quirk for HP Z2 Mini G1a Workstation
  * No on-screen keyboard on dell tablets (LP: #2122398)
    - platform/x86/intel/hid: Add Dell Pro Rugged 10/12 tablet to VGBS DMI
      quirks
  * Enable RTL ASPM for more new Dell platforms (LP: #2133144)
    - SAUCE: r8169: Add more Dell platforms to enable ASPM
  * Enable RTL ASPM for new Dell platforms (LP: #2121200)
    - SAUCE: r8169: enable ASPM on all new Dell platforms
  * Questing update: v6.17.13 upstream stable release (LP: #2139960)
    - smack: deduplicate "does access rule request transmutation"
    - smack: fix bug: SMACK64TRANSMUTE set on non-directory
    - smack: deduplicate xattr setting in smack_inode_init_security()
    - smack: always "instantiate" inode in smack_inode_init_security()
    - smack: fix bug: invalid label of unix socket file
    - smack: fix bug: setting task label silently ignores input garbage
    - accel/ivpu: Ensure rpm_runtime_put in case of engine reset/resume fail
    - drm/panel: visionox-rm69299: Fix clock frequency for SHIFT6mq
    - drm/panel: visionox-rm69299: Don't clear all mode flags
    - accel/ivpu: Rework bind/unbind of imported buffers
    - accel/ivpu: Make function parameter names consistent
    - accel/ivpu: Fix DCT active percent format
    - bpf: Cleanup unused func args in rqspinlock implementation
    - tools/nolibc: handle NULL wstatus argument to waitpid()
    - USB: Fix descriptor count when handling invalid MBIM extended descriptor
    - perf bpf_counter: Fix opening of "any"(-1) CPU events
    - ima: Attach CREDS_CHECK IMA hook to bprm_creds_from_file LSM hook
    - pinctrl: renesas: rzg2l: Fix PMC restore
    - clk: renesas: cpg-mssr: Add missing 1ms delay into reset toggle callback
    - clk: renesas: cpg-mssr: Read back reset registers to assure values
      latched
    - drm: atmel-hlcdc: fix atmel_xlcdc_plane_setup_scaler()
    - HID: logitech-hidpp: Do not assume FAP in hidpp_send_message_sync()
    - remoteproc: imx_rproc: Fix runtime PM cleanup and improve remove path
    - objtool: Fix standalone --hacks=jump_label
    - objtool: Fix weak symbol detection
    - accel/ivpu: Fix race condition when mapping dmabuf
    - perf parse-events: Fix legacy cache events if event is duplicated in a
      PMU
    - wifi: ath10k: move recovery check logic into a new work
    - wifi: ath11k: restore register window after global reset
    - wifi: ath12k: fix VHT MCS assignment
    - wifi: ath12k: fix TX and RX MCS rate configurations in HE mode
    - sched/fair: Forfeit vruntime on yield
    - irqchip/bcm2712-mip: Fix OF node reference imbalance
    - irqchip/bcm2712-mip: Fix section mismatch
    - irqchip/irq-bcm7038-l1: Fix section mismatch
    - irqchip/irq-bcm7120-l2: Fix section mismatch
    - irqchip/irq-brcmstb-l2: Fix section mismatch
    - irqchip/imx-mu-msi: Fix section mismatch
    - irqchip/renesas-rzg2l: Fix section mismatch
    - irqchip/starfive-jh8100: Fix section mismatch
    - irqchip/qcom-irq-combiner: Fix section mismatch
    - crypto: authenc - Correctly pass EINPROGRESS back up to the caller
    - dt-bindings: clock: qcom,x1e80100-gcc: Add missing USB4 clocks/resets
    - clk: qcom: gcc-x1e80100: Add missing USB4 clocks/resets
    - rculist: Add hlist_nulls_replace_rcu() and
      hlist_nulls_replace_init_rcu()
    - inet: Avoid ehash lookup race in inet_ehash_insert()
    - inet: Avoid ehash lookup race in inet_twsk_hashdance_schedule()
    - iio: imu: st_lsm6dsx: Fix measurement unit for odr struct member
    - firmware: qcom: tzmem: fix qcom_tzmem_policy kernel-doc
    - block/mq-deadline: Introduce dd_start_request()
    - block/mq-deadline: Switch back to a single dispatch list
    - arm64: dts: freescale: imx8mp-venice-gw7905-2x: remove duplicate usdhc1
      props
    - arm64: dts: imx8mm-venice-gw72xx: remove unused sdhc1 pinctrl
    - arm64: dts: imx8mp-venice-gw702x: remove off-board uart
    - arm64: dts: imx8mp-venice-gw702x: remove off-board sdhc1
    - arm64: dts: imx95-15x15-evk: add fan-supply property for pwm-fan
    - perf annotate: Check return value of evsel__get_arch() properly
    - arm64: dts: exynos: gs101: fix sysreg_apm reg property
    - PCI: rcar-gen2: Drop ARM dependency from PCI_RCAR_GEN2
    - uio: uio_fsl_elbc_gpcm:: Add null pointer check to
      uio_fsl_elbc_gpcm_probe
    - tty: introduce tty_port_tty guard()
    - tty: serial: imx: Only configure the wake register when device is set as
      wakeup source
    - clk: qcom: camcc-sm8550: Specify Titan GDSC power domain as a parent to
      other
    - clk: qcom: camcc-sm6350: Specify Titan GDSC power domain as a parent to
      other
    - clk: qcom: gcc-sm8750: Add a new frequency for sdcc2 clock
    - clk: qcom: gcc-ipq5424: Correct the icc_first_node_id
    - clk: qcom: camcc-sm6350: Fix PLL config of PLL2
    - clk: qcom: camcc-sm7150: Fix PLL config of PLL2
    - soc: qcom: gsbi: fix double disable caused by devm
    - crypto: hisilicon/qm - restore original qos values
    - wifi: ath11k: fix VHT MCS assignment
    - s390/smp: Fix fallback CPU detection
    - scsi: ufs: core: Move the ufshcd_enable_intr() declaration
    - s390/ap: Don't leak debug feature files if AP instructions are not
      available
    - tools/power turbostat: Regression fix Uncore MHz printed in hex
    - wifi: ath12k: restore register window after global reset
    - leds: upboard: Fix module alias
    - PCI: endpoint: pci-epf-test: Fix sleeping function being called from
      atomic context
    - arm64: dts: ti: k3-am62p: Fix memory ranges for GPU
    - firmware: imx: scu-irq: fix OF node leak in
    - arm64: dts: qcom: x1e80100: Fix compile warnings for USB HS controller
    - arm64: dts: qcom: x1e80100: Add missing quirk for HS only USB controller
    - arm64: dts: qcom: sdm845-starqltechn: remove (address|size)-cells
    - arm64: dts: qcom: starqltechn: remove extra empty line
    - arm64: dts: qcom: sdm845-starqltechn: fix max77705 interrupts
    - arm64: dts: qcom: sdm845-oneplus: Correct gpio used for slider
    - arm64: dts: qcom: qcm6490-fairphone-fp5: Add supplies to simple-fb node
    - arm64: dts: qcom: sm8650: set ufs as dma coherent
    - arm64: dts: qcom: qcm6490-shift-otter: Add missing reserved-memory
    - arm64: dts: qcom: sdm845-starqltechn: Fix i2c-gpio node name
    - perf hwmon_pmu: Fix uninitialized variable warning
    - phy: mscc: Fix PTP for VSC8574 and VSC8572
    - sctp: Defer SCTP_DBG_OBJCNT_DEC() to sctp_destroy_sock().
    - arm64: dts: qcom: qcm2290: Add CCI node
    - arm64: dts: qcom: qcm2290: Fix camss register prop ordering
    - ARM: dts: renesas: gose: Remove superfluous port property
    - ARM: dts: renesas: r9a06g032-rzn1d400-db: Drop invalid #cells properties
    - drm/amdgpu: add userq object va track helpers
    - drm/amdgpu/userq: fix SDMA and compute validation
    - wifi: iwlwifi: mld: add null check for kzalloc() in
      iwl_mld_send_proto_offload()
    - Revert "mtd: rawnand: marvell: fix layouts"
    - mtd: nand: relax ECC parameter validation check
    - mtd: rawnand: lpc32xx_slc: fix GPIO descriptor leak on probe error and
      remove
    - perf: Remove get_perf_callchain() init_nr argument
    - bpf: Refactor stack map trace depth calculation into helper function
    - perf/x86/intel/cstate: Remove PC3 support from LunarLake
    - task_work: Fix NMI race condition
    - x86/dumpstack: Prevent KASAN false positive warnings in __show_regs()
    - accel/ivpu: Remove skip of dma unmap for imported buffers
    - tools/nolibc/stdio: let perror work when NOLIBC_IGNORE_ERRNO is set
    - tools/nolibc/dirent: avoid errno in readdir_r
    - clk: qcom: gcc-qcs615: Update the SDCC clock to use shared_floor_ops
    - soc: qcom: smem: fix hwspinlock resource leak in probe error paths
    - pinctrl: stm32: fix hwspinlock resource leak in probe function
    - drm: nova: select NOVA_CORE
    - [Config] select NOVA_CORE
    - gpu: nova-core: select RUST_FW_LOADER_ABSTRACTIONS
    - pidfs: add missing PIDFD_INFO_SIZE_VER1
    - pidfs: add missing BUILD_BUG_ON() assert on struct pidfd_info
    - i3c: fix refcount inconsistency in i3c_master_register
    - i3c: master: svc: Prevent incomplete IBI transaction
    - random: use offstack cpumask when necessary
    - wifi: ath12k: fix potential memory leak in ath12k_wow_arp_ns_offload()
    - wifi: ath12k: fix reusing m3 memory
    - wifi: ath12k: fix error handling in creating hardware group
    - wifi: ath12k: unassign arvif on scan vdev create failure
    - interconnect: qcom: msm8996: add missing link to SLAVE_USB_HS
    - arm64: dts: qcom: msm8996: add interconnect paths to USB2 controller
    - accel/amdxdna: Fix incorrect command state for timed out job
    - interconnect: debugfs: Fix incorrect error handling for NULL path
    - arm64: dts: renesas: sparrow-hawk: Fix full-size DP connector node name
      and labels
    - drm/imagination: Fix reference to
      devm_platform_get_and_ioremap_resource()
    - perf lock contention: Load kernel map before lookup
    - perf record: skip synthesize event when open evsel failed
    - timers/migration: Convert "while" loops to use "for"
    - timers/migration: Remove locking on group connection
    - timers/migration: Fix imbalanced NUMA trees
    - power: supply: rt5033_charger: Fix device node reference leaks
    - power: supply: cw2015: Check devm_delayed_work_autocancel() return code
    - power: supply: max17040: Check iio_read_channel_processed() return code
    - power: supply: rt9467: Return error on failure in
      rt9467_set_value_from_ranges()
    - power: supply: rt9467: Prevent using uninitialized local variable in
      rt9467_set_value_from_ranges()
    - power: supply: wm831x: Check wm831x_set_bits() return value
    - power: supply: apm_power: only unset own apm_get_power_status
    - scsi: target: Do not write NUL characters into ASCII configfs output
    - scsi: target: Fix LUN/device R/W and total command stats
    - fs/9p: Don't open remote file with APPEND mode when writeback cache is
      used
    - drm/panthor: Handle errors returned by drm_sched_entity_init()
    - drm/panthor: Fix group_free_queue() for partially initialized queues
    - drm/panthor: Fix race with suspend during unplug
    - firmware: ti_sci: Set IO Isolation only if the firmware is capable
    - cleanup: fix scoped_class()
    - libbpf: Fix parsing of multi-split BTF
    - ARM: dts: am335x-netcom-plus-2xx: add missing GPIO labels
    - ARM: dts: omap3: beagle-xm: Correct obsolete TWL4030 power compatible
    - ARM: dts: omap3: n900: Correct obsolete TWL4030 power compatible
    - entry,unwind/deferred: Fix unwind_reset_info() placement
    - x86/boot: Fix page table access in 5-level to 4-level paging transition
    - efi/libstub: Fix page table access in 5-level to 4-level paging
      transition
    - locktorture: Fix memory leak in param_set_cpumask()
    - wifi: rtw89: usb: use common error path for skbs in
      rtw89_usb_rx_handler()
    - wifi: rtw89: usb: fix leak in rtw89_usb_write_port()
    - mfd: da9055: Fix missing regmap_del_irq_chip() in error path
    - wifi: ath12k: Fix timeout error during beacon stats retrieval
    - ext4: correct the checking of quota files before moving extents
    - accel/amdxdna: Fix dma_fence leak when job is canceled
    - io_uring: use WRITE_ONCE for user shared memory
    - perf/x86/intel: Correct large PEBS flag check
    - regulator: core: disable supply if enabling main regulator fails
    - md: delete mddev kobj before deleting gendisk kobj
    - scsi: stex: Fix reboot_notifier leak in probe error path
    - [Config] remove most i2c driver
    - iio: imu: bmi270: fix dev_err_probe error msg
    - dt-bindings: PCI: amlogic: Fix the register name of the DBI region
    - RDMA/rtrs: server: Fix error handling in get_or_create_srv
    - ARM: dts: stm32: stm32mp157c-phycore: Fix STMPE811 touchscreen node
      properties
    - drm/panthor: Fix potential memleak of vma structure
    - scsi: ufs: core: fix incorrect buffer duplication in
      ufshcd_read_string_desc()
    - md: delete md_redundancy_group when array is becoming inactive
    - cpufreq/amd-pstate: Call cppc_set_auto_sel() only for online CPUs
    - powerpc/kdump: Fix size calculation for hot-removed memory ranges
    - powerpc/32: Fix unpaired stwcx. on interrupt exit
    - wifi: cw1200: Fix potential memory leak in cw1200_bh_rx_helper()
    - coresight: Change device mode to atomic type
    - coresight: etm4x: Always set tracer's device mode on target CPU
    - coresight: etm3x: Always set tracer's device mode on target CPU
    - coresight: etm4x: Correct polling IDLE bit
    - coresight: etm4x: Add context synchronization before enabling trace
    - coresight: etm4x: Properly control filter in CPU idle with FEAT_TRF
    - perf tools: Fix missing feature check for inherit + SAMPLE_READ
    - drm/tidss: Remove max_pclk_khz and min_pclk_khz from tidss display
      features
    - drm/tidss: Move OLDI mode validation to OLDI bridge mode_valid hook
    - clk: renesas: r9a09g077: Propagate rate changes to parent clocks
    - clk: renesas: r9a06g032: Fix memory leak in error path
    - lib/vsprintf: Check pointer before dereferencing in time_and_date()
    - ocfs2: use correct endian in ocfs2_dinode_has_extents
    - ACPI: property: Fix fwnode refcount leak in
      acpi_fwnode_graph_parse_endpoint()
    - scsi: sim710: Fix resource leak by adding missing ioport_unmap() calls
    - leds: netxbig: Fix GPIO descriptor leak in error paths
    - accel/amdxdna: Clear mailbox interrupt register during channel creation
    - accel/amdxdna: Fix deadlock between context destroy and job timeout
    - PCI: keystone: Exit ks_pcie_probe() for invalid mode
    - arm64: dts: rockchip: Move the EEPROM to correct I2C bus on Radxa ROCK
      5A
    - arm64: dts: rockchip: Add eeprom vcc-supply for Radxa ROCK 5A
    - arm64: dts: rockchip: Add eeprom vcc-supply for Radxa ROCK 3C
    - crypto: iaa - Fix incorrect return value in save_iaa_wq()
    - arm64: dts: qcom: qrb2210-rb1: Fix UART3 wakeup IRQ storm
    - drm/msm/dpu: drop dpu_hw_dsc_destroy() prototype
    - ps3disk: use memcpy_{from,to}_bvec index
    - PCI: Prevent resource tree corruption when BAR resize fails
    - bpf: Prevent nesting overflow in bpf_try_get_buffers
    - bpf: Handle return value of ftrace_set_filter_ip in register_fentry
    - selftests/bpf: Fix failure paths in send_signal test
    - mshv: Fix deposit memory in MSHV_ROOT_HVCALL
    - watchdog: wdat_wdt: Fix ACPI table leak in probe function
    - watchdog: starfive: Fix resource leak in probe error path
    - fuse_ctl_add_conn(): fix nlink breakage in case of early failure
    - tracefs: fix a leak in eventfs_create_events_dir()
    - NFSD/blocklayout: Fix minlength check in proc_layoutget
    - arm64: dts: imx95-tqma9596sa: fix TPM5 pinctrl node name
    - arm64: dts: imx95-tqma9596sa: reduce maximum FlexSPI frequency to 66MHz
    - block/blk-throttle: Fix throttle slice time for SSDs
    - drm/msm: Fix NULL pointer dereference in crashstate_get_vm_logs()
    - drm/msm: fix missing NULL check after kcalloc in crashstate_get_bos()
    - drm/msm/a2xx: stop over-complaining about the legacy firmware
    - net: phy: Add helper for fixing RGMII PHY mode based on internal mac
      delay
    - net: stmmac: dwmac-sophgo: Add phy interface filter
    - powerpc/64s/hash: Restrict stress_hpt_struct memblock region to within
      RMA limit
    - powerpc/64s/ptdump: Fix kernel_hash_pagetable dump for ISA v3.00 HPTE
      format
    - net: stmmac: Fix VLAN 0 deletion in vlan_del_hw_rx_fltr()
    - fs/ntfs3: out1 also needs to put mi
    - fs/ntfs3: Prevent memory leaks in add sub record
    - drm/mediatek: Fix CCORR mtk_ctm_s31_32_to_s1_n function issue
    - drm/msm/a6xx: Flush LRZ cache before PT switch
    - drm/msm/a6xx: Fix the gemnoc workaround
    - drm/msm/a6xx: Improve MX rail fallback in RPMH vote init
    - spi: sophgo: Fix incorrect use of bus width value macros
    - ipv6: clear RA flags when adding a static route
    - perf arm_spe: Fix memset subclass in operation
    - pwm: bcm2835: Make sure the channel is enabled after pwm_request()
    - scsi: ufs: rockchip: Reset controller on PRE_CHANGE of hce enable notify
    - net: phy: realtek: create rtl8211f_config_rgmii_delay()
    - iommu/vt-d: Fix unused invalidation hint in qi_desc_iotlb
    - wifi: mac80211: fix CMAC functions not handling errors
    - mfd: mt6397-irq: Fix missing irq_domain_remove() in error path
    - mfd: mt6358-irq: Fix missing irq_domain_remove() in error path
    - of/fdt: Consolidate duplicate code into helper functions
    - of/fdt: Fix incorrect use of dt_root_addr_cells in
      early_init_dt_check_kho()
    - leds: rgb: leds-qcom-lpg: Don't enable TRILED when configuring PWM
    - phy: renesas: rcar-gen3-usb2: Fix an error handling path in
      rcar_gen3_phy_usb2_probe()
    - phy: rockchip: naneng-combphy: Add SoC prefix to register definitions
    - phy: rockchip: naneng-combphy: Fix PCIe L1ss support RK3562
    - phy: freescale: Initialize priv->lock
    - phy: rockchip: samsung-hdptx: Fix reported clock rate in high bpc mode
    - phy: rockchip: samsung-hdptx: Reduce ROPLL loop bandwidth
    - phy: rockchip: samsung-hdptx: Prevent Inter-Pair Skew from exceeding the
      limits
    - ASoC: SDCA: Fix missing dash in HIDE DisCo property
    - selftests/bpf: Use ASSERT_STRNEQ to factor in long slab cache names
    - net: phy: adin1100: Fix software power-down ready condition
    - cpuset: Treat cpusets in attaching as populated
    - clk: spacemit: Set clk_hw_onecell_data::num before using flex array
    - RAS: Report all ARM processor CPER information to userspace
    - usb: chaoskey: fix locking for O_NONBLOCK
    - usb: dwc2: fix hang during shutdown if set as peripheral
    - usb: dwc2: fix hang during suspend if set as peripheral
    - usb: raw-gadget: cap raw_io transfer length to KMALLOC_MAX_SIZE
    - regulator: pca9450: Fix error code in probe()
    - selftests/bpf: skip test_perf_branches_hw() on unsupported platforms
    - selftests/bpf: Improve reliability of test_perf_branches_no_hw()
    - crypto: ccree - Correctly handle return of sg_nents_for_len
    - RISC-V: KVM: Fix guest page fault within HLV* instructions
    - erofs: correct FSDAX detection
    - RDMA/bnxt_re: Fix the inline size for GenP7 devices
    - RDMA/bnxt_re: Pass correct flag for dma mr creation
    - crypto: ahash - Fix crypto_ahash_import with partial block data
    - crypto: ahash - Zero positive err value in ahash_update_finish
    - ASoC: tas2781: correct the wrong period
    - wifi: mt76: mt7921: add MBSSID support
    - Revert "wifi: mt76: mt792x: improve monitor interface handling"
    - wifi: mt76: mt7996: fix max nss value when getting rx chainmask
    - wifi: mt76: mt7996: fix implicit beamforming support for mt7992
    - wifi: mt76: mt7996: fix several fields in mt7996_mcu_bss_basic_tlv()
    - wifi: mt76: mt7996: fix teardown command for an MLD peer
    - wifi: mt76: mt7996: set link_valid field when initializing wcid
    - wifi: mt76: mt7996: fix MLD group index assignment
    - wifi: mt76: mt7996: fix using wrong phy to start in mt7996_mac_restart()
    - wifi: mt76: mt7996: grab mt76 mutex in mt7996_mac_sta_event()
    - wifi: mt76: mt7996: skip deflink accounting for offchannel links
    - wifi: mt76: mt7996: Add missing locking in mt7996_mac_sta_rc_work()
    - firmware: stratix10-svc: fix make htmldocs warning for stratix10_svc
    - staging: fbtft: core: fix potential memory leak in fbtft_probe_common()
    - iommu/arm-smmu-v3: Fix error check in arm_smmu_alloc_cd_tables
    - btrfs: fix leaf leak in an error path in btrfs_del_items()
    - PCI: dwc: Fix wrong PORT_LOGIC_LTSSM_STATE_MASK definition
    - drm/nouveau: restrict the flush page to a 32-bit address
    - um: Don't rename vmap to kernel_vmap
    - iomap: always run error completions in user context
    - wifi: ieee80211: correct FILS status codes
    - backlight: lp855x: Fix lp855x.h kernel-doc warnings
    - iommu/arm-smmu-qcom: Enable use of all SMR groups when running bare-
      metal
    - RDMA/irdma: Fix data race in irdma_sc_ccq_arm
    - RDMA/irdma: Fix data race in irdma_free_pble
    - RDMA/irdma: Do not directly rely on IB_PD_UNSAFE_GLOBAL_RKEY
    - drm/panthor: Avoid adding of kernel BOs to extobj list
    - clocksource/drivers/ralink: Fix resource leaks in init error path
    - clocksource/drivers/stm: Fix double deregistration on probe failure
    - clocksource/drivers/nxp-stm: Fix section mismatches
    - clocksource/drivers/nxp-stm: Prevent driver unbind
    - ASoC: nau8325: use simple i2c probe function
    - ASoC: nau8325: add missing build config
    - [Config] enable NAU8325 codec
    - ASoC: fsl_xcvr: clear the channel status control memory
    - firmware_loader: make RUST_FW_LOADER_ABSTRACTIONS select FW_LOADER
    - [Config] enable RUST_FW_LOADER_ABSTRACTIONS
    - [Config] enable AMCC QT2025 PHY driver
    - greybus: gb-beagleplay: Fix timeout handling in bootloader functions
    - misc: rp1: Fix an error handling path in rp1_probe()
    - drm/amd/display: Fix logical vs bitwise bug in
      get_embedded_panel_info_v2_1()
    - hwmon: sy7636a: Fix regulator_enable resource leak on error path
    - ACPI: processor_core: fix map_x2apic_id for amd-pstate on am4
    - ublk: prevent invalid access with DEBUG
    - ext4: improve integrity checking in __mb_check_buddy by enhancing
      order-0 validation
    - selftests/net: packetdrill: pass send_omit_free to MSG_ZEROCOPY tests
    - of: Skip devicetree kunit tests when RISCV+ACPI doesn't populate root
      node
    - virtio_vdpa: fix misleading return in void function
    - virtio: fix typo in virtio_device_ready() comment
    - virtio: fix whitespace in virtio_config_ops
    - virtio: fix grammar in virtio_queue_info docs
    - virtio: fix virtqueue_set_affinity() docs
    - vdpa/mlx5: Fix incorrect error code reporting in query_virtqueues
    - vhost: Fix kthread worker cgroup failure handling
    - vdpa/pds: use %pe for ERR_PTR() in event handler registration
    - virtio: clean up features qword/dword terms
    - ASoC: Intel: catpt: Fix error path in hw_params()
    - spi: airoha-snfi: en7523: workaround flash damaging if UART_TXD was
      short to GND
    - ARM: dts: samsung: universal_c210: turn off SDIO WLAN chip during system
      suspend
    - ARM: dts: samsung: exynos4210-i9100: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4210-trats: turn off SDIO WLAN chip during
      system suspend
    - ARM: dts: samsung: exynos4412-midas: turn off SDIO WLAN chip during
      system suspend
    - Reinstate "resource: avoid unnecessary lookups in find_next_iomem_res()"
    - netfilter: flowtable: check for maximum number of encapsulations in
      bridge vlan
    - netfilter: nf_conncount: rework API to use sk_buff directly
    - netfilter: nft_connlimit: update the count if add was skipped
    - net: stmmac: fix rx limit check in stmmac_rx_zc()
    - mtd: rawnand: renesas: Handle devm_pm_runtime_enable() errors
    - vfio/pci: Use RCU for error/request triggers to avoid circular locking
    - net: phy: aquantia: check for NVMEM deferral
    - selftests: bonding: add delay before each xvlan_over_bond connectivity
      check
    - mtd: lpddr_cmds: fix signed shifts in lpddr_cmds
    - rqspinlock: Enclose lock/unlock within lock entry acquisitions
    - rqspinlock: Use trylock fallback when per-CPU rqnode is busy
    - remoteproc: qcom_q6v5_wcss: fix parsing of qcom,halt-regs
    - md/raid5: fix IO hang when array is broken with IO inflight
    - clk: keystone: fix compile testing
    - net: dsa: b53: fix VLAN_ID_IDX write size for BCM5325/65
    - net: dsa: b53: fix extracting VID from entry for BCM5325/65
    - net: dsa: b53: b53_arl_read{,25}(): use the entry for comparision
    - net: dsa: b53: move reading ARL entries into their own function
    - net: dsa: b53: move writing ARL entries into their own functions
    - net: dsa: b53: provide accessors for accessing ARL_SRCH_CTL
    - net: dsa: b53: split reading search entry into their own functions
    - net: dsa: b53: move ARL entry functions into ops struct
    - net: dsa: b53: add support for 5389/5397/5398 ARL entry format
    - net: dsa: b53: use same ARL search result offset for BCM5325/65
    - net: dsa: b53: fix CPU port unicast ARL entries for BCM5325/65
    - net: dsa: b53: add support for bcm63xx ARL entry format
    - net: dsa: b53: fix BCM5325/65 ARL entry multicast port masks
    - net: dsa: b53: fix BCM5325/65 ARL entry VIDs
    - net: hsr: create an API to get hsr port type
    - net: dsa: xrs700x: reject unsupported HSR configurations
    - perf jitdump: Add sym/str-tables to build-ID generation
    - perf tools: Mark split kallsyms DSOs as loaded
    - perf tools: Fix split kallsyms DSO counting
    - perf hist: In init, ensure mem_info is put on error paths
    - pinctrl: single: Fix incorrect type for error return variable
    - fbdev: ssd1307fb: fix potential page leak in ssd1307fb_probe()
    - 9p: fix cache/debug options printing in v9fs_show_options
    - sched/fair: Fix unfairness caused by stalled tg_load_avg_contrib when
      the last task migrates out
    - sched/core: Fix psi_dequeue() for Proxy Execution
    - f2fs: maintain one time GC mode is enabled during whole zoned GC cycle
    - kbuild: install-extmod-build: Fix when given dir outside the build dir
    - kbuild: install-extmod-build: Properly fix CC expansion when ccache is
      used
    - NFS: Avoid changing nlink when file removes and attribute updates race
    - fs/nls: Fix utf16 to utf8 conversion
    - NFS: Initialise verifiers for visible dentries in readdir and lookup
    - NFS: Initialise verifiers for visible dentries in nfs_atomic_open()
    - NFS: Initialise verifiers for visible dentries in
      _nfs4_open_and_get_state
    - panthor: save task pid and comm in panthor_group
    - Revert "nfs: ignore SB_RDONLY when remounting nfs"
    - Revert "nfs: clear SB_RDONLY before getting superblock"
    - Revert "nfs: ignore SB_RDONLY when mounting nfs"
    - NFS: Fix inheritance of the block sizes when automounting
    - fs/nls: Fix inconsistency between utf8_to_utf32() and utf32_to_utf8()
    - platform/x86: asus-wmi: use brightness_set_blocking() for kbd led
    - ASoC: bcm: bcm63xx-pcm-whistler: Check return value of
      of_dma_configure()
    - ASoC: amd: acp: Audio is not resuming after s0ix
    - ASoC: ak4458: Disable regulator when error happens
    - ASoC: ak5558: Disable regulator when error happens
    - f2fs: revert summary entry count from 2048 to 512 in 16kb block support
    - blk-mq: Abort suspend when wakeup events are pending
    - block: fix comment for op_is_zone_mgmt() to include RESET_ALL
    - nvme-auth: use kvfree() for memory allocated with kvcalloc()
    - drm/plane: Fix IS_ERR() vs NULL check in
      drm_plane_create_hotspot_properties()
    - regulator: fixed: Rely on the core freeing the enable GPIO
    - drm/nouveau: refactor deprecated strcpy
    - drm/nouveau: fix circular dep oops from vendored i2c encoder
    - cifs: Fix handling of a beyond-EOF DIO/unbuffered read over SMB1
    - cifs: Fix handling of a beyond-EOF DIO/unbuffered read over SMB2
    - docs: hwmon: fix link to g762 devicetree binding
    - i2c: spacemit: fix detect issue
    - dma/pool: eliminate alloc_pages warning in atomic_pool_expand
    - ALSA: uapi: Fix typo in asound.h comment
    - drm/amdkfd: Use huge page size to check split svm range alignment
    - rtc: gamecube: Check the return value of ioremap()
    - rtc: max31335: Fix ignored return value in set_alarm
    - ARM: 9464/1: fix input-only operand modification in
      load_unaligned_zeropad()
    - drm/xe/fbdev: use the same 64-byte stride alignment as i915
    - drm/i915/fbdev: make intel_framebuffer_create() error return handling
      explicit
    - drm/{i915, xe}/fbdev: pass struct drm_device to intel_fbdev_fb_alloc()
    - drm/{i915, xe}/fbdev: deduplicate struct drm_mode_fb_cmd2 init
    - drm/i915/fbdev: Hold runtime PM ref during fbdev BO creation
    - ASoC: amd: acp: update tdm channels for specific DAI
    - dm-raid: fix possible NULL dereference with undefined raid type
    - dm log-writes: Add missing set_freezable() for freezable kthread
    - efi/cper: Add a new helper function to print bitmasks
    - efi/cper: Adjust infopfx size to accept an extra space
    - efi/cper: align ARM CPER type with UEFI 2.9A/2.10 specs
    - perf/core: Fix missing read event generation on task exit
    - cpu: Make atomic hotplug callbacks run with interrupts disabled on UP
    - ocfs2: fix memory leak in ocfs2_merge_rec_left()
    - perf/x86/intel: Fix NULL event dereference crash in handle_pmi_common()
    - usb: gadget: tegra-xudc: Always reinitialize data toggle when clear halt
    - usb: typec: ucsi: fix probe failure in gaokun_ucsi_probe()
    - usb: phy: Initialize struct usb_phy list_head
    - usb: dwc3: dwc3_power_off_all_roothub_ports: Use ioremap_np when
      required
    - ALSA: hda/realtek: Add match for ASUS Xbox Ally projects
    - ALSA: hda/tas2781: fix speaker id retrieval for multiple probes
    - ASoC: codecs: nau8325: Silence uninitialized variables warnings
    - Linux 6.17.13
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68344
    - ALSA: wavefront: Fix integer overflow in sample size validation
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68345
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_hda_read_acpi()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68346
    - ALSA: dice: fix buffer overflow in detect_stream_formats()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68323
    - usb: typec: ucsi: fix use-after-free caused by uec->work
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68766
    - irqchip/mchp-eic: Fix error code in mchp_eic_domain_alloc()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68324
    - scsi: imm: Fix use-after-free bug caused by unfinished delayed work
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68756
    - block: Use RCU in blk_mq_[un]quiesce_tagset() instead of
      set->tag_list_lock
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68753
    - ALSA: firewire-motu: add bounds check in put_user loop for DSP events
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68347
    - ALSA: firewire-motu: fix buffer overflow in hwdep read for DSP events
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68348
    - block: fix memory leak in __blkdev_issue_zero_pages
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68764
    - NFS: Automounted filesystems should inherit ro,noexec,nodev,sync flags
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68735
    - drm/panthor: Prevent potential UAF in group creation
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68349
    - NFSv4/pNFS: Clear NFS_INO_LAYOUTCOMMIT in
      pnfs_mark_layout_stateid_invalid
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68754
    - rtc: amlogic-a4: fix double free caused by devm
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68325
    - net/sched: sch_cake: Fix incorrect qlen reduction in cake_drop
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68762
    - net: netpoll: initialize work queue before error checks
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68352
    - spi: ch341: fix out-of-bounds memory access in ch341_transfer_one
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68752
    - iavf: Implement settime64 with -EOPNOTSUPP
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68354
    - regulator: core: Protect regulator_supply_alias_list with
      regulator_list_mutex
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68356
    - gfs2: Prevent recursive memory reclaim
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68758
    - backlight: led-bl: Add devlink to supplier LEDs
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68358
    - btrfs: fix racy bitfield write in btrfs_clear_space_info_full()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68359
    - btrfs: fix double free of qgroup record after failure to add delayed ref
      head
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68765
    - mt76: mt7615: Fix memory leak in mt7615_mcu_wtbl_sta_add()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68360
    - wifi: mt76: wed: use proper wed reference in mt76 wed driver callabacks
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68738
    - wifi: mt76: mt7996: fix null pointer deref in mt7996_conf_tx()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68361
    - erofs: limit the level of fs stacking for file-backed mounts
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68739
    - PM / devfreq: hisi: Fix potential UAF in OPP handling
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68763
    - crypto: starfive - Correctly handle return of sg_nents_for_len
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68740
    - ima: Handle error code returned by ima_filter_rule_match()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68362
    - wifi: rtl818x: rtl8187: Fix potential buffer underflow in
      rtl8187_rx_cb()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68741
    - scsi: qla2xxx: Fix improper freeing of purex item
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68742
    - bpf: Fix invalid prog->stats access when update_effective_progs fails
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68759
    - wifi: rtl818x: Fix potential memory leaks in rtl8180_init_rx_ring()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68743
    - mshv: Fix create memory region overlap check
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68363
    - bpf: Check skb->transport_header is set in bpf_skb_check_mtu
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68751
    - s390/fpu: Fix false-positive kmsan report in fpu_vstl()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68744
    - bpf: Free special fields when update [lru_,]percpu_hash maps
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68364
    - ocfs2: relax BUG() to ocfs2_error() in __ocfs2_move_extent()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68366
    - nbd: defer config unlock in nbd_genl_connect
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68367
    - macintosh/mac_hid: fix race condition in mac_hid_toggle_emumouse
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68369
    - ntfs3: init run lock for extend inode
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68370
    - coresight: tmc: add the handle of the event to the path
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68755
    - staging: most: remove broken i2c driver
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68371
    - scsi: smartpqi: Fix device resources accessed after device removal
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68372
    - nbd: defer config put in recv_work
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68373
    - md: avoid repeated calls to del_gendisk
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68374
    - md: fix rcu protection in md_wakeup_thread
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68375
    - perf/x86: Fix NULL event access and potential PEBS record loss
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68376
    - coresight: ETR: Fix ETR buffer use-after-free issue
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68746
    - spi: tegra210-quad: Fix timeout handling
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68760
    - iommu/amd: Fix potential out-of-bounds read in iommu_mmio_show
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68747
    - drm/panthor: Fix UAF on kernel BO VA nodes
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68748
    - drm/panthor: Fix UAF race between device unplug and FW event processing
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68749
    - accel/ivpu: Fix race condition when unbinding BOs
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68378
    - bpf: Fix stackmap overflow check in __bpf_get_stackid()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68379
    - RDMA/rxe: Fix null deref on srq->rq.queue after resize failure
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68380
    - wifi: ath11k: fix peer HE MCS assignment
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68724
    - crypto: asymmetric_keys - prevent overflow in asymmetric_key_generate_id
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68726
    - crypto: aead - Fix reqsize handling
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68727
    - ntfs3: Fix uninit buffer allocated by __getname()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68728
    - ntfs3: fix uninit memory after failed mi_read in mi_format_new
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68729
    - wifi: ath12k: Fix MSDU buffer types handling in RX error path
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68757
    - drm/vgem-fence: Fix potential deadlock on release
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68730
    - accel/ivpu: Fix page fault in ivpu_bo_unbind_all_bos_from_context()
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68732
    - gpu: host1x: Fix race in syncpt alloc/free
  * Questing update: v6.17.13 upstream stable release (LP: #2139960) //
    CVE-2025-68733
    - smack: fix bug: unprivileged task can create labels
  * Questing update: v6.17.12 upstream stable release (LP: #2139373)
    - Documentation: process: Also mention Sasha Levin as stable tree
      maintainer
    - jbd2: avoid bug_on in jbd2_journal_get_create_access() when file system
      corrupted
    - ext4: refresh inline data size before write operations
    - ksmbd: ipc: fix use-after-free in ipc_msg_send_request
    - locking/spinlock/debug: Fix data-race in do_raw_write_lock
    - crypto: zstd - fix double-free in per-CPU stream cleanup
    - ext4: add i_data_sem protection in ext4_destroy_inline_data_nolock()
    - comedi: pcl818: fix null-ptr-deref in pcl818_ai_cancel()
    - KVM: SVM: Don't skip unrelated instruction if INT3/INTO is replaced
    - USB: serial: option: add Foxconn T99W760
    - USB: serial: option: add Telit Cinterion FE910C04 new compositions
    - USB: serial: option: move Telit 0x10c7 composition in the right place
    - USB: serial: ftdi_sio: match on interface number for jtag
    - serial: add support of CPCI cards
    - dt-bindings: serial: rsci: Drop "uart-has-rtscts: false"
    - serial: sh-sci: Fix deadlock during RSCI FIFO overrun error
    - USB: serial: belkin_sa: fix TIOCMBIS and TIOCMBIC
    - USB: serial: kobil_sct: fix TIOCMBIS and TIOCMBIC
    - ftrace: bpf: Fix IPMODIFY + DIRECT in modify_ftrace_direct()
    - spi: xilinx: increase number of retries before declaring stall
    - spi: imx: keep dma request disabled before dma transfer setup
    - ACPI: MRRM: Fix memory leaks and improve error handling
    - drm/vmwgfx: Use kref in vmw_bo_dirty
    - arm64: Reject modules with internal alternative callbacks
    - ALSA: hda/tas2781: Add new quirk for HP new projects
    - Bluetooth: btrtl: Avoid loading the config file on security chips
    - ASoC: SDCA: bug fix while parsing mipi-sdca-control-cn-list
    - smb: fix invalid username check in smb3_fs_context_parse_param()
    - drm/amdkfd: Fix GPU mappings for APU after prefetch
    - ALSA: usb-audio: Add native DSD quirks for PureAudio DAC series
    - HID: lenovo: fixup Lenovo Yoga Slim 7x Keyboard rdesc
    - bfs: Reconstruct file type when loading from disk
    - HID: hid-input: Extend Elan ignore battery quirk to USB
    - platform/x86/amd/pmc: Add support for Van Gogh SoC
    - platform/x86: hp-wmi: mark Victus 16-r0 and 16-s0 for victus_s fan and
      thermal profile support
    - nvme: fix admin request_queue lifetime
    - pinctrl: qcom: msm: Fix deadlock in pinmux configuration
    - platform/x86: acer-wmi: Ignore backlight event
    - HID: apple: Add SONiX AK870 PRO to non_apple_keyboards quirk list
    - platform/x86: huawei-wmi: add keys for HONOR models
    - platform/x86: intel-uncore-freq: Add additional client processors
    - platform/x86/amd: pmc: Add Lenovo Legion Go 2 to pmc quirk list
    - platform/x86/amd/pmc: Add spurious_8042 to Xbox Ally
    - sched_ext: Fix possible deadlock in the deferred_irq_workfn()
    - platform/x86/intel/hid: Add Nova Lake support
    - HID: elecom: Add support for ELECOM M-XT3URBK (018F)
    - sched_ext: Use IRQ_WORK_INIT_HARD() to initialize
      rq->scx.kick_cpus_irq_work
    - LoongArch: Mask all interrupts during kexec/kdump
    - samples: work around glibc redefining some of our defines wrong
    - platform/x86: hp-wmi: Add Omen 16-wf1xxx fan support
    - platform/x86: hp-wmi: Add Omen MAX 16-ah0xx fan support and thermal
      profile
    - wifi: rtl8xxxu: Add USB ID 2001:3328 for D-Link AN3U rev. A1
    - wifi: rtw88: Add USB ID 2001:3329 for D-Link AC13U rev. A1
    - iio: adc: ad4080: fix chip identification
    - comedi: c6xdigio: Fix invalid PNP driver unregistration
    - comedi: multiq3: sanitize config options in multiq3_attach()
    - comedi: check device's attached status in compat ioctls
    - staging: rtl8723bs: fix out-of-bounds read in rtw_get_ie() parser
    - staging: rtl8723bs: fix stack buffer overflow in OnAssocReq IE parsing
    - staging: rtl8723bs: fix out-of-bounds read in OnBeacon ESR IE parsing
    - Linux 6.17.12
  * Questing update: v6.17.11 upstream stable release (LP: #2138824)
    - Bluetooth: hci_core: Fix triggering cmd_timer for HCI_OP_NOP
    - Bluetooth: SMP: Fix not generating mackey and ltk when repairing
    - drm/bridge: sii902x: Fix HDMI detection with
      DRM_BRIDGE_ATTACH_NO_CONNECTOR
    - net: phy: mxl-gpy: fix bogus error on USXGMII and integrated PHY
    - net: aquantia: Add missing descriptor cache invalidation on ATL2
    - net: phy: mxl-gpy: fix link properties on USXGMII and internal PHYs
    - net: lan966x: Fix the initialization of taprio
    - drm/xe: Fix conversion from clock ticks to milliseconds
    - net/mlx5e: Fix validation logic in rate limiting
    - xsk: avoid overwriting skb fields for multi-buffer traffic
    - drm/amdgpu: fix cyan_skillfish2 gpu info fw handling
    - dma-direct: Fix missing sg_dma_len assignment in P2PDMA bus mappings
    - net: wwan: mhi: Keep modem name match with Foxconn T99W640
    - net: dsa: sja1105: fix SGMII linking at 10M or 100M but not passing
      traffic
    - eth: fbnic: Fix counter roll-over issue
    - net: mctp: unconditionally set skb->dev on dst output
    - net: fec: cancel perout_timer when PEROUT is disabled
    - net: fec: do not update PEROUT if it is enabled
    - net: fec: do not allow enabling PPS and PEROUT simultaneously
    - net: fec: do not register PPS event for PEROUT
    - iio: st_lsm6dsx: Fixed calibrated timestamp calculation
    - usb: gadget: renesas_usbf: Handle devm_pm_runtime_enable() errors
    - mailbox: mailbox-test: Fix debugfs_create_dir error checking
    - mailbox: mtk-cmdq: Refine DMA address handling for the command buffer
    - mailbox: pcc: don't zero error register
    - spi: spi-cadence-quadspi: Remove duplicate pm_runtime_put_autosuspend()
      call
    - spi: spi-cadence-quadspi: Enable pm runtime earlier to avoid imbalance
    - ovl: fail ovl_lock_rename_workdir() if either target is unhashed
    - riscv: dts: allwinner: d1: fix vlenb property
    - spi: tegra114: remove Kconfig dependency on TEGRA20_APB_DMA
    - spi: amlogic-spifc-a1: Handle devm_pm_runtime_enable() errors
    - spi: spi-nxp-fspi: Add OCT-DTR mode support
    - spi: nxp-fspi: Propagate fwnode in ACPI case as well
    - spi: bcm63xx: fix premature CS deassertion on RX-only transactions
    - afs: Fix uninit var in afs_alloc_anon_key()
    - timekeeping: Fix error code in tk_aux_sysfs_init()
    - Revert "perf/x86: Always store regs->ip in perf_callchain_kernel()"
    - iio: buffer-dma: support getting the DMA channel
    - iio: buffer-dmaengine: enable .get_dma_dev()
    - iio: buffer: support getting dma channel from the buffer
    - iio: humditiy: hdc3020: fix units for temperature and humidity
      measurement
    - iio: humditiy: hdc3020: fix units for thresholds and hysteresis
    - iio: imu: st_lsm6dsx: fix array size for st_lsm6dsx_settings fields
    - iio: pressure: bmp280: correct meas_time_us calculation
    - iio:common:ssp_sensors: Fix an error handling path ssp_probe()
    - iio: adc: stm32-dfsdm: fix st,adc-alt-channel property handling
    - iio: accel: fix ADXL355 startup race condition
    - iio: adc: ad4030: Fix _scale value for common-mode channels
    - iio: adc: ad7124: fix temperature channel
    - iio: adc: ad7280a: fix ad7280_store_balance_timer()
    - iio: adc: ad7380: fix SPI offload trigger rate
    - iio: adc: rtq6056: Correct the sign bit index
    - MIPS: mm: Prevent a TLB shutdown on initial uniquification
    - MIPS: mm: kmalloc tlb_vpn array to avoid stack overflow
    - virtio-net: avoid unnecessary checksum calculation on guest RX
    - vhost: rewind next_avail_head while discarding descriptors
    - ALSA: hda/cirrus fix cs420x MacPro 6,1 inverted jack detection
    - ALSA: usb-audio: Add DSD quirk for LEAK Stereo 230
    - arm64: dts: imx8dxl-ss-conn: swap interrupts number of eqos
    - arm64: dts: imx8dxl: Correct pcie-ep interrupt number
    - arm64: dts: imx8qm-mek: fix mux-controller select/enable-gpios polarity
    - ARM: dts: nxp: imx6ul: correct SAI3 interrupt line
    - can: rcar_canfd: Fix CAN-FD mode as default
    - can: sja1000: fix max irq loop handling
    - can: sun4i_can: sun4i_can_interrupt(): fix max irq loop handling
    - counter: microchip-tcb-capture: Allow shared IRQ for multi-channel TCBs
    - dm-verity: fix unreliable memory allocation
    - drivers/usb/dwc3: fix PCI parent check
    - thunderbolt: Add support for Intel Wildcat Lake
    - slimbus: ngd: Fix reference count leak in qcom_slim_ngd_notify_slaves
    - nvmem: layouts: fix nvmem_layout_bus_uevent
    - pmdomain: tegra: Add GENPD_FLAG_NO_STAY_ON flag
    - r8169: fix RTL8127 hang on suspend/shutdown
    - regulator: rtq2208: Correct buck group2 phase mapping logic
    - regulator: rtq2208: Correct LDO2 logic judgment bits
    - iommufd/driver: Fix counter initialization for counted_by annotation
    - mmc: sdhci-of-dwcmshc: Promote the th1520 reset handling to ip level
    - mptcp: clear scheduled subflows on retransmit
    - mptcp: Initialise rcv_mss before calling tcp_send_active_reset() in
      mptcp_do_fastclose().
    - serial: 8250: Fix 8250_rsa symbol loop
    - serial: amba-pl011: prefer dma_mapping_error() over explicit address
      checking
    - usb: cdns3: Fix double resource release in cdns3_pci_probe
    - USB: storage: Remove subclass and protocol overrides from Novatek quirk
    - usb: typec: ucsi: psy: Set max current to zero when disconnected
    - usb: dwc3: pci: add support for the Intel Nova Lake -S
    - usb: dwc3: pci: Sort out the Intel device IDs
    - xhci: fix stale flag preventig URBs after link state error is cleared
    - xhci: dbgtty: Fix data corruption when transmitting data form DbC to
      host
    - xhci: dbgtty: fix device unregister
    - USB: serial: ftdi_sio: add support for u-blox EVK-M101
    - USB: serial: option: add support for Rolling RW101R-GL
    - drm: sti: fix device leaks at component probe
    - drm/i915/psr: Reject async flips when selective fetch is enabled
    - drm/amdgpu: attach tlb fence to the PTs update
    - drm/amd/amdgpu: reserve vm invalidation engine for uni_mes
    - drm/amd/display: Don't change brightness for disabled connectors
    - drm/amd/display: Increase EDID read retries
    - net: dsa: microchip: common: Fix checks on irq_find_mapping()
    - net: dsa: microchip: ptp: Fix checks on irq_find_mapping()
    - net: dsa: microchip: Free previously initialized ports on init failures
    - net: dsa: microchip: Fix symetry in ksz_ptp_msg_irq_{setup/free}()
    - mm: swap: remove duplicate nr_swap_pages decrement in
      get_swap_page_of_type()
    - usb: udc: Add trace event for usb_gadget_set_state
    - Revert "ACPI: Suppress misleading SPCR console message when SPCR table
      is absent"
    - spi: cadence-quadspi: Fix cqspi_probe() error handling for runtime pm
    - Linux 6.17.11
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68282
    - usb: gadget: udc: fix use-after-free in usb_gadget_state_work
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68283
    - libceph: replace BUG_ON with bounds check for map->max_osd
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68284
    - libceph: prevent potential out-of-bounds writes in
      handle_auth_session_key()
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68285
    - libceph: fix potential use-after-free in have_mon_and_osd_map()
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68338
    - net: dsa: microchip: Don't free uninitialized ksz_irq
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68286
    - drm/amd/display: Check NULL before accessing
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68326
    - drm/xe/guc: Fix stack_depot usage
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68287
    - usb: dwc3: Fix race condition between concurrent dwc3_remove_requests()
      call paths
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68331
    - usb: uas: fix urb unmapping issue when the uas device is remove during
      ongoing data transfer
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-40345
    - usb: storage: sddr55: Reject out-of-bound new_pba
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68288
    - usb: storage: Fix memory leak in USB bulk transport
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68327
    - usb: renesas_usbhs: Fix synchronous external abort on unbind
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68289
    - usb: gadget: f_eem: Fix memory leak in eem_unwrap
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68290
    - most: usb: fix double free on late probe failure
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68292
    - mm/memfd: fix information leak in hugetlb folios
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68293
    - mm/huge_memory: fix NULL pointer deference when splitting folio
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68328
    - firmware: stratix10-svc: fix bug in saving controller data
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68294
    - io_uring/net: ensure vectored buffer node import is tied to notification
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68295
    - smb: client: fix memory leak in cifs_construct_tcon()
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68296
    - drm, fbcon, vga_switcheroo: Avoid race condition in fbcon setup
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68297
    - ceph: fix crash in process_v2_sparse_read() for encrypted directories
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68298
    - Bluetooth: btusb: mediatek: Avoid btusb_mtk_claim_iso_intf() NULL deref
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68339
    - atm/fore200e: Fix possible data race in fore200e_open()
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68329
    - tracing: Fix WARN_ON in tracing_buffers_mmap_close for split VMAs
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68330
    - iio: accel: bmc150: Fix irq assumption regression
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68299
    - afs: Fix delayed allocation of a cell's anonymous key
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68300
    - fs/namespace: fix reference leak in grab_requested_mnt_ns
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68301
    - net: atlantic: fix fragment overflow handling in RX path
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-40290
    - xsk: avoid data corruption on cq descriptor number
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68302
    - net: sxgbe: fix potential NULL dereference in sxgbe_rx()
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68340
    - team: Move team device type change at the end of team_port_add
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68303
    - platform/x86: intel: punit_ipc: fix memory corruption
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68341
    - veth: reduce XDP no_direct return section to fix race
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68304
    - Bluetooth: hci_core: lookup hci_conn on RX path on protocol side
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68305
    - Bluetooth: hci_sock: Prevent race in socket write iter and sock bind
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68306
    - Bluetooth: btusb: mediatek: Fix kernel crash when releasing mtk iso
      interface
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68342
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing data
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68343
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing header
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68307
    - can: gs_usb: gs_usb_xmit_callback(): fix handling of failed transmitted
      URBs
  * Questing update: v6.17.11 upstream stable release (LP: #2138824) //
    CVE-2025-68308
    - can: kvaser_usb: leaf: Fix potential infinite loop in command parsers
  * Questing update: v6.17.10 upstream stable release (LP: #2137723)
    - arm64: dts: rockchip: Remove non-functioning CPU OPPs from RK3576
    - HID: amd_sfh: Stop sensor before starting
    - HID: quirks: work around VID/PID conflict for 0x4c4a/0x4155
    - arm64: dts: rockchip: Fix vccio4-supply on rk3566-pinetab2
    - arm64: dts: rockchip: fix PCIe 3.3V regulator voltage on orangepi-5
    - reset: imx8mp-audiomix: Fix bad mask values
    - arm64: dts: rockchip: include rk3399-base instead of rk3399 in
      rk3399-op1
    - arm64: dts: rockchip: disable HS400 on RK3588 Tiger
    - KVM: SVM: Fix redundant updates of LBR MSR intercepts
    - xfs: check the return value of sb_min_blocksize() in xfs_fs_fill_super
    - isofs: check the return value of sb_min_blocksize() in isofs_fill_super
    - shmem: fix tmpfs reconfiguration (remount) when noswap is set
    - exfat: check return value of sb_min_blocksize in exfat_read_boot_sector
    - mptcp: Disallow MPTCP subflows from sockmap
    - s390/mm: Fix __ptep_rdp() inline assembly
    - ACPI: APEI: EINJ: Fix EINJV2 initialization and injection
    - ata: libata-scsi: Fix system suspend for a security locked drive
    - selinux: rename task_security_struct to cred_security_struct
    - selinux: move avdcache to per-task security struct
    - smb: client: introduce close_cached_dir_locked()
    - wifi: rtw89: hw_scan: Don't let the operating channel be last
    - ata: libata-scsi: Add missing scsi_device_put() in ata_scsi_dev_rescan()
    - net: dsa: microchip: lan937x: Fix RGMII delay tuning
    - Revert "drm/tegra: dsi: Clear enable register if powered by bootloader"
    - Input: goodix - add support for ACPI ID GDIX1003
    - nvme: nvme-fc: move tagset removal to nvme_fc_delete_ctrl()
    - PM: sleep: core: Fix runtime PM enabling in device_resume_early()
    - MIPS: Malta: Fix !EVA SOC-it PCI MMIO
    - dt-bindings: pinctrl: toshiba,visconti: Fix number of items in groups
    - LoongArch: Don't panic if no valid cache info for PCI
    - LoongArch: Fix NUMA node parsing with numa_memblks
    - platform/x86: alienware-wmi-wmax: Fix "Alienware m16 R1 AMD" quirk order
    - platform/x86: alienware-wmi-wmax: Add support for the whole "M" family
    - platform/x86: alienware-wmi-wmax: Add support for the whole "X" family
    - platform/x86: alienware-wmi-wmax: Add support for the whole "G" family
    - platform/x86: alienware-wmi-wmax: Add AWCC support to Alienware 16
      Aurora
    - mptcp: fix ack generation for fallback msk
    - mptcp: fix duplicate reset on fastclose
    - mptcp: fix premature close in case of fallback
    - selftests: mptcp: join: endpoints: longer timeout
    - selftests: mptcp: join: userspace: longer timeout
    - mptcp: avoid unneeded subflow-level drops
    - mptcp: decouple mptcp fastclose from tcp close
    - mptcp: do not fallback when OoO is present
    - drm/tegra: dc: Fix reference leak in tegra_dc_couple()
    - drm/amdgpu: Skip emit de meta data on gfx11 with rs64 enabled
    - drm/amd/display: Increase DPCD read retries
    - drm/amd/display: Move sleep into each retry for retrieve_link_cap()
    - drm/amd/display: Clear the CUR_ENABLE register on DCN20 on DPP5
    - mm/truncate: unmap large folio on split failure
    - pinctrl: mediatek: mt8196: align register base names to dt-bindings ones
    - pinctrl: mediatek: mt8189: align register base names to dt-bindings ones
    - xfrm: drop SA reference in xfrm_state_update if dir doesn't match
    - xfrm: call xfrm_dev_state_delete when xfrm_state_migrate fails to add
      the state
    - xfrm: set err and extack on failure to create pcpu SA
    - clk: sunxi-ng: Mark A523 bus-r-cpucfg clock as critical
    - clk: sunxi-ng: sun55i-a523-r-ccu: Mark bus-r-dma as critical
    - clk: sunxi-ng: sun55i-a523-ccu: Lower audio0 pll minimum rate
    - pinctrl: realtek: Select REGMAP_MMIO for RTD driver
    - xfrm: Check inner packet family directly from skb_dst
    - xfrm: Determine inner GSO type from packet inner protocol
    - xfrm: Prevent locally generated packets from direct output in tunnel
      mode
    - pinctrl: cirrus: Fix fwnode leak in cs42l43_pin_probe()
    - platform/x86: msi-wmi-platform: Only load on MSI devices
    - platform/x86: msi-wmi-platform: Fix typo in WMI GUID
    - mips: dts: econet: fix EN751221 core type
    - mlxsw: spectrum: Fix memory leak in mlxsw_sp_flower_stats()
    - net: dsa: hellcreek: fix missing error handling in LED registration
    - net: mlxsw: linecards: fix missing error check in
      mlxsw_linecard_devlink_info_get()
    - tools: riscv: Fixed misalignment of CSR related definitions
    - nvmet-auth: update sc_c in target host hash calculation
    - drm/i915/xe3lpd: Load DMC for Xe3_LPD version 30.02
    - selftests: net: lib: Do not overwrite error messages
    - net: airoha: Add wlan flowtable TX offload
    - net: airoha: Do not loopback traffic to GDM2 if it is available on the
      device
    - platform/x86/intel/speed_select_if: Convert PCIBIOS_* return codes to
      errnos
    - platform/x86: intel-uncore-freq: fix all header kernel-doc warnings
    - drm/pcids: Split PTL pciids group to make wcl subplatform
    - drm/i915/display: Add definition for wcl as subplatform
    - drm/i915/xe3: Restrict PTL intel_encoder_is_c10phy() to only PHY A
    - drm/xe/kunit: Fix forcewake assertion in mocs test
    - drm/xe/irq: Handle msix vector0 interrupt
    - pinctrl: s32cc: initialize gpio_pin_config::list after kmalloc()
    - af_unix: Read sk_peek_offset() again after sleeping in
      unix_stream_read_generic().
    - net: phylink: add missing supported link modes for the fixed-link
    - tick/sched: Fix bogus condition in report_idle_softirq()
    - LoongArch: Use UAPI types in ptrace UAPI header
    - perf: Fix 0 count issue of cpu-clock
    - timekeeping: Fix resource leak in tk_aux_sysfs_init() error paths
    - MIPS: kernel: Fix random segmentation faults
    - ALSA: hda/realtek: Add quirk for Lenovo Yoga 7 2-in-1 14AKP10
    - sched_ext: Allocate scx_kick_cpus_pnt_seqs lazily using kvzalloc()
    - bcma: don't register devices disabled in OF
    - sched_ext: defer queue_balance_callback() until after ops.dispatch
    - ASoC: rt721: fix prepare clock stop failed
    - cifs: fix typo in enable_gcm_256 module parameter
    - scsi: core: Fix a regression triggered by scsi_host_busy()
    - ALSA: hda/realtek: Fix mute led for HP Victus 15-fa1xxx (MB 8C2D)
    - perf/x86/intel/uncore: Add uncore PMU support for Wildcat Lake
    - x86/microcode/AMD: Limit Entrysign signature checking to known
      generations
    - selftests: cachestat: Fix warning on declaration under label
    - smb: client: handle lack of IPC in dfs_cache_refresh()
    - net: tls: Change async resync helpers argument
    - blk-crypto: use BLK_STS_INVAL for alignment errors
    - net: tls: Cancel RX async resync request on rcd_delta overflow
    - x86/CPU/AMD: Extend Zen6 model range
    - kconfig/mconf: Initialize the default locale at startup
    - kconfig/nconf: Initialize the default locale at startup
    - drm/xe: Prevent BIT() overflow when handling invalid prefetch region
    - ALSA: usb-audio: fix uac2 clock source at terminal parser
    - tracing/tools: Fix incorrcet short option in usage text for --threads
    - btrfs: set inode flag BTRFS_INODE_COPY_EVERYTHING when logging new name
    - smb: client: fix incomplete backport in cfids_invalidation_worker()
    - drm/amdgpu/jpeg: Move parse_cs to amdgpu_jpeg.c
    - drm/amdgpu/jpeg: Add parse_cs for JPEG5_0_1
    - xfs: Replace strncpy with memcpy
    - drm/amd/display: Insert dccg log for easy debug
    - drm/amd/display: Prevent Gating DTBCLK before It Is Properly Latched
    - tty/vt: fix up incorrect backport to stable releases
    - Revert "drm/i915/dp: Reject HBR3 when sink doesn't support TPS4"
    - drm/i915/dp: Add device specific quirk to limit eDP rate to HBR2
    - sched_ext: Fix scx_kick_pseqs corruption on concurrent scheduler loads
    - sched_ext: fix flag check for deferred callbacks
    - Linux 6.17.10
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68221
    - mptcp: fix address removal logic in mptcp_pm_nl_rm_addr
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40246
    - xfs: fix out of bounds memory read error in symlink repair
  * Intel,External monitor flickers or no output when connected to WD25 dock
    (LP: #2136979) // Questing update: v6.17.10 upstream stable release
    (LP: #2137723)
    - drm/i915/psr: Check drm_dp_dpcd_read return value on PSR dpcd init
    - drm/i915/dp_mst: Disable Panel Replay
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68230
    - drm/amdgpu: fix gpu page fault after hibernation on PF passthrough
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68220
    - net: ethernet: ti: netcp: Standardize knav_dma_open_channel to return
      NULL on error
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68236
    - scsi: ufs: ufs-qcom: Fix UFS OCP issue during UFS power down (PC=3)
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40247
    - drm/msm: Fix pgtable prealloc error path
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40248
    - vsock: Ignore signal/timeout on connect() if already established
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68219
    - cifs: fix memory leak in smb3_fs_context_parse_param error path
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40249
    - gpio: cdev: make sure the cdev fd is still active before emitting events
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40250
    - net/mlx5: Clean up only new IRQ glue on request_irq() failure
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40251
    - devlink: rate: Unset parent pointer in devl_rate_nodes_destroy
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68222
    - pinctrl: s32cc: fix uninitialized memory in s32_pinctrl_desc
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68215
    - ice: fix PTP cleanup on driver removal in error path
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68213
    - idpf: fix possible vport_config NULL pointer deref in remove
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40252
    - net: qlogic/qede: fix potential out-of-bounds read in qede_tpa_cont()
      and qede_tpa_end()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40253
    - s390/ctcm: Fix double-kfree
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68218
    - nvme-multipath: fix lockdep WARN due to partition scan work
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68232
    - veth: more robust handing of race to avoid txq getting stuck
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40254
    - net: openvswitch: remove never-working support for setting nsh fields
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68233
    - drm/tegra: Add call to put_pid()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40255
    - net: core: prevent NULL deref in generic_hwtstamp_ioctl_lower()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68228
    - drm/plane: Fix create_in_format_blob() return value
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68223
    - drm/radeon: delete radeon_fence_process in is_signaled, no deadlock
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40257
    - mptcp: fix a race in mptcp_pm_del_add_timer()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40258
    - mptcp: fix race condition in mptcp_schedule_work()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68216
    - LoongArch: BPF: Disable trampoline for kernel module function trace
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68229
    - scsi: target: tcm_loop: Fix segfault in tcm_loop_tpg_address_show()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40259
    - scsi: sg: Do not sleep in atomic context
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40260
    - sched_ext: Fix scx_enable() crash on helper kthread creation failure
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40261
    - nvme: nvme-fc: Ensure ->ioerr_work is cancelled in nvme_fc_delete_ctrl()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68235
    - nouveau/firmware: Add missing kfree() of nvkm_falcon_fw::boot
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68231
    - mm/mempool: fix poisoning order>0 pages with HIGHMEM
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68217
    - Input: pegasus-notetaker - fix potential out-of-bounds access
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40262
    - Input: imx_sc_key - fix memory corruption on unload
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40263
    - Input: cros_ec_keyb - fix an invalid memory access
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68234
    - io_uring/cmd_net: fix wrong argument types for skb_queue_splice()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40264
    - be2net: pass wrb_params in case of OS2BMC
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68225
    - lib/test_kho: check if KHO is enabled
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68227
    - mptcp: Fix proto fallback detection with BPF
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68237
    - mtdchar: fix integer overflow in read/write ioctls
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68212
    - fs: Fix uninitialized 'offp' in statmount_string()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68238
    - mtd: rawnand: cadence: fix DMA device NULL pointer dereference
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40265
    - vfat: fix missing sb_min_blocksize() return value checks
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-68214
    - timers: Fix NULL function pointer race in timer_shutdown_sync()
  * Questing update: v6.17.10 upstream stable release (LP: #2137723) //
    CVE-2025-40266
    - KVM: arm64: Check the untrusted offset in FF-A memory share

 -- John Cabaj <john.cabaj@canonical.com>  Tue, 17 Feb 2026 16:35:32 -0600

# For older changelog entries, run 'apt-get changelog linux-buildinfo-7.0.0-1006-azure-fde'
